#include <common.h>
#include <parse_h.h>
#include <asm/arch/bootparam.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>
#include <exports.h>
#include <factorylib.h>
#include <platform_lib/board/pcb.h>

extern uchar boot_ac_on;
extern int boot_power_on_mode;
extern int prev_power_on_status;

void CusApi_get_bootparam(char *dst_addr, int dst_length)
{
}

void CusApi_decide_power_on_mode(void)
{
	// RTK config don't care prev_power_state and always power on
	boot_power_on_mode = POWER_ON;
	prev_power_on_status = bootparam.prev_power_state;

#if defined(CONFIG_BOOTUP_BY_PREV_POWER_STATUS) || defined(ENABLE_BOOTUP_POLICY)
	if(boot_ac_on)
		boot_power_on_mode = bootparam.prev_power_state;
#endif

#ifdef ENABLE_BOOTUP_POLICY
	printf("bootup_policy=%d\n", bootparam.bootup_policy);
	if(bootparam.bootup_policy != 2)	//0: always powerOff, 1: always powerOn, 2:auto by prev_status
	{
		if(boot_ac_on)
			boot_power_on_mode = bootparam.bootup_policy;
		else
			boot_power_on_mode = POWER_ON;
	}
#endif

}
