#include <common.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>

#include <rbus/sb2_reg.h>

void CusApi_boot_handler_before_boot_setup(void)
{
}

void CusApi_boot_handler_before_boot_go(void)
{
#if defined(Config_SPI_Speed_2M)
    rtd_maskl(SB2_SFC_SCK_reg, ~SB2_SFC_SCK_fdiv_mask, SB2_SFC_SCK_fdiv(0xfa));
    rtd_maskl(SB2_SFC_CE_reg, ~SB2_SFC_CE_phcnt_mask, SB2_SFC_CE_phcnt(0xc0));

    rtd_maskl(0xb8000854, ~_BIT17, _BIT17);
    rtd_maskl(0xb8000818, ~_BIT17, _BIT17);
#endif //#if defined(Config_SPI_Speed_2M)

#if defined(Config_SPI_Speed_4M)
    rtd_maskl(SB2_SFC_SCK_reg, ~SB2_SFC_SCK_fdiv_mask, SB2_SFC_SCK_fdiv(0x7d));
    rtd_maskl(SB2_SFC_CE_reg, ~SB2_SFC_CE_phcnt_mask, SB2_SFC_CE_phcnt(0x70));

    rtd_maskl(0xb8000854, ~_BIT17, _BIT17);
    rtd_maskl(0xb8000818, ~_BIT17, _BIT17);
#endif //#if defined(Config_SPI_Speed_4M)

#if defined(Config_SPI_Speed_8M)
    rtd_maskl(SB2_SFC_SCK_reg, ~SB2_SFC_SCK_fdiv_mask, SB2_SFC_SCK_fdiv(0x3f));
    rtd_maskl(SB2_SFC_CE_reg, ~SB2_SFC_CE_phcnt_mask, SB2_SFC_CE_phcnt(0x30));

    rtd_maskl(0xb8000854, ~_BIT17, _BIT17);
    rtd_maskl(0xb8000818, ~_BIT17, _BIT17);
#endif //#if defined(Config_SPI_Speed_8M)
}

