#ifndef __CONFIG_VBI_VERIFY_H
#define __CONFIG_VBI_VERIFY_H

#ifdef AV_Input
//VDC SIGNAL POSITIVE PATH
typedef enum {
	VIDEO_INPUT0 = 0,
	VIDEO_INPUT1,
	VIDEO_INPUT2,
	VIDEO_INPUT3,
	VIDEO_INPUT4,
	VIDEO_INPUT5,
	VIDEO_INPUT6,
	VIDEO_INPUT7,
	VIDEO_INPUT8,
	VIDEO_INPUT9,
	VIDEO_INPUT10,
	VIDEO_INPUT11,
	VIDEO_INPUT12,
	VIDEO_INPUT13,
	VIDEO_INPUT14,
	TV_INPUT,
} VIDEO_PATH;

typedef enum {
	VIDEO_GNDA0 = 0x30,
	VIDEO_GNDA1 = 0x31,
	VIDEO_GNDA2 = 0x32,
	VIDEO_BN = 0x00,
	VIDEO_Y0N = 0x21,
	VIDEO_Y1N = 0x22,
//	VIDEO_RN = 0x20,		// no support
//	VIDEO_GN = 0x10,		// no support
}VIDEO_GND_PATH;
#endif
//=====================================================
void Display_Init(void);

#ifdef AV_Input
void AV_Init(void);
#endif
#ifdef IFD_Input
void IFD_Init(void);
#endif
#ifdef YPP_Input
void YPbPr_Init(void);
#endif

#ifdef CC_verify_test
void  CC_Init(void);
int CC_verify(void);
#endif

#ifdef TT_WSS_VPS_test
void TT_WSS_VPS_Init(void);
int TT_WSS_VPS_verify(void);
#ifdef TT_DMA_test
void DMA_Init(void);
#endif
#endif

#ifdef CGMS_test
void CGMS_Init(void);
int CGMS_verify(void);
#endif

#endif


