/**
* @file Mac6-DesignSpec-D-Domain_DCC
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/10/12
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_COLOR_DCC_REG_H_
#define _RBUS_COLOR_DCC_REG_H_

#include "rbusTypes.h"



//  COLOR_DCC Register Address



#define  COLOR_DCC_D_DCC_CTRL_VADDR                         	(0xb802e400)
#define  COLOR_DCC_DCC_CTRL_LUMA_VADDR                      	(0xb802e404)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_0_VADDR            	(0xb802e408)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_1_VADDR            	(0xb802e40c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_VADDR               	(0xb802e410)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_0_VADDR        	(0xb802e414)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_1_VADDR        	(0xb802e418)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_2_VADDR        	(0xb802e41c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_3_VADDR        	(0xb802e420)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_4_VADDR        	(0xb802e424)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_5_VADDR        	(0xb802e428)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_6_VADDR        	(0xb802e42c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_7_VADDR        	(0xb802e430)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_8_VADDR        	(0xb802e500)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_9_VADDR        	(0xb802e504)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_10_VADDR       	(0xb802e508)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_11_VADDR       	(0xb802e50c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_12_VADDR       	(0xb802e510)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_13_VADDR       	(0xb802e514)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_14_VADDR       	(0xb802e518)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_15_VADDR       	(0xb802e51c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_0_VADDR        	(0xb802e434)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_1_VADDR        	(0xb802e438)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_2_VADDR        	(0xb802e43c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_3_VADDR        	(0xb802e440)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_4_VADDR        	(0xb802e444)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_5_VADDR        	(0xb802e448)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_6_VADDR        	(0xb802e44c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_7_VADDR        	(0xb802e450)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_8_VADDR        	(0xb802e520)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_9_VADDR        	(0xb802e524)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_10_VADDR       	(0xb802e528)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_11_VADDR       	(0xb802e52c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_12_VADDR       	(0xb802e530)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_13_VADDR       	(0xb802e534)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_14_VADDR       	(0xb802e538)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_15_VADDR       	(0xb802e53c)
#define  COLOR_DCC_SRAM_TAB_CTL_0_VADDR                     	(0xb802e454)
#define  COLOR_DCC_SRAM_TAB_PORT_VADDR                      	(0xb802e458)
#define  COLOR_DCC_SRAM_USER_TAB_CTL_0_VADDR                	(0xb802e540)
#define  COLOR_DCC_SRAM_USER_TAB_PORT_VADDR                 	(0xb802e544)
#define  COLOR_DCC_D_DCC_DB_CTRL_VADDR                      	(0xb802e45c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_EN_VADDR                 	(0xb802e460)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_0_VADDR       	(0xb802e464)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_0_VADDR        	(0xb802e468)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_1_VADDR       	(0xb802e46c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_1_VADDR        	(0xb802e470)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_2_VADDR       	(0xb802e474)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_2_VADDR        	(0xb802e478)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_3_VADDR       	(0xb802e47c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_3_VADDR        	(0xb802e480)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_0_VADDR         	(0xb802e484)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_1_VADDR         	(0xb802e488)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_0_VADDR         	(0xb802e48c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_1_VADDR         	(0xb802e490)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_0_VADDR         	(0xb802e494)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_1_VADDR         	(0xb802e498)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_0_VADDR         	(0xb802e49c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_1_VADDR         	(0xb802e4a0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_0_VADDR       	(0xb802e4a4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_1_VADDR       	(0xb802e4a8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_0_VADDR       	(0xb802e4ac)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_1_VADDR       	(0xb802e4b0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_0_VADDR       	(0xb802e4b4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_1_VADDR       	(0xb802e4b8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_0_VADDR       	(0xb802e4bc)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_1_VADDR       	(0xb802e4c0)
#define  COLOR_DCC_D_DCC_FWUSED_0_VADDR                     	(0xb802e4f0)
#define  COLOR_DCC_D_DCC_FWUSED_1_VADDR                     	(0xb802e4f4)
#define  COLOR_DCC_D_DCC_FWUSED_2_VADDR                     	(0xb802e4f8)
#define  COLOR_DCC_D_DCC_FWUSED_3_VADDR                     	(0xb802e4fc)
#define  COLOR_DCC_D_DCC_BIST_0_VADDR                       	(0xb802e4e4)
#define  COLOR_DCC_D_DCC_BIST_1_VADDR                       	(0xb802e548)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e400_31_10:22;
        RBus_UInt32  dcc_user_curve_en:1;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  dcc_main_en:1;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  luma_offset_main:8;
        RBus_UInt32  res2:16;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_limit_seg3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg1:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  chroma_gain_limit_seg0:6;
    };
}color_dcc_dcc_chroma_gain_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg7:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg6:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg5:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  chroma_gain_limit_seg4:6;
    };
}color_dcc_dcc_chroma_gain_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg0:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg0:7;
        RBus_UInt32  res3:4;
        RBus_UInt32  saturation_byy_v_tab_select_main:1;
        RBus_UInt32  saturation_byy_u_tab_select_main:1;
        RBus_UInt32  chroma_enhance_below_tab_select_main:1;
        RBus_UInt32  chroma_enhance_above_tab_select_main:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_base:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  chroma_gain_lookup_mode:1;
        RBus_UInt32  chroma_gain_mode:1;
        RBus_UInt32  chroma_gain_en:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg2:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg1:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg8:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg6:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg5:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg12:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg10:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg9:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg16:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg14:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg13:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg20:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg18:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg17:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg24:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg22:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg21:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg28:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg26:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg25:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg32:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg30:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg29:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg36:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg34:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg33:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg40:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg38:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg37:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg44:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg42:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg41:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg48:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg46:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg45:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg52:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg50:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg49:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg56:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg54:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg53:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg60:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg58:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg57:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg64:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg62:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg61:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg2:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg1:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg8:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg6:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg5:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg12:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg10:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg9:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg16:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg14:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg13:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg20:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg18:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg17:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg24:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg22:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg21:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg28:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg26:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg25:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg32:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg30:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg29:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg36:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg34:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg33:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg40:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg38:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg37:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg44:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg42:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg41:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg48:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg46:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg45:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg52:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg50:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg49:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg56:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg54:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg53:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg60:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg58:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg57:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg64:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg62:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg61:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sram_tab_acc_index_cur:6;
        RBus_UInt32  sram_tab_acc_index:6;
        RBus_UInt32  sram_tab_rw_sel:2;
        RBus_UInt32  sram_tab_acc_sel:1;
        RBus_UInt32  sram_tab_acc_ready:1;
    };
}color_dcc_sram_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  sram_tab_base:10;
        RBus_UInt32  sram_tab_g0:8;
        RBus_UInt32  sram_tab_g1:8;
    };
}color_dcc_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_sel:1;
        RBus_UInt32  sram_user_tab_acc_ready:1;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  sram_user_tab_base:10;
        RBus_UInt32  sram_user_tab_g0:8;
        RBus_UInt32  sram_user_tab_g1:8;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_apply:1;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  res2:7;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_en:1;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_y_center:10;
        RBus_UInt32  y_blending_0_u_center:10;
        RBus_UInt32  y_blending_0_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_y_center:10;
        RBus_UInt32  y_blending_1_u_center:10;
        RBus_UInt32  y_blending_1_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_y_center:10;
        RBus_UInt32  y_blending_2_u_center:10;
        RBus_UInt32  y_blending_2_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_y_center:10;
        RBus_UInt32  y_blending_3_u_center:10;
        RBus_UInt32  y_blending_3_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  res4:8;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_0:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  ls_0:1;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  res4:8;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  ls_2:1;
    };
}color_dcc_d_dcc_bist_1_RBUS;

#else //apply LITTLE_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dcc_main_en:1;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  dcc_user_curve_en:1;
        RBus_UInt32  dummy1802e400_31_10:22;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  luma_offset_main:8;
        RBus_UInt32  res2:8;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg0:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg3:6;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_limit_en:1;
    };
}color_dcc_dcc_chroma_gain_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg5:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg6:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg7:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_dcc_chroma_gain_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_en:1;
        RBus_UInt32  chroma_gain_mode:1;
        RBus_UInt32  chroma_gain_lookup_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_base:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_enhance_above_tab_select_main:1;
        RBus_UInt32  chroma_enhance_below_tab_select_main:1;
        RBus_UInt32  saturation_byy_u_tab_select_main:1;
        RBus_UInt32  saturation_byy_v_tab_select_main:1;
        RBus_UInt32  res3:4;
        RBus_UInt32  chroma_gain_tab1_seg0:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg0:7;
        RBus_UInt32  res5:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg1:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg4:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg5:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg6:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg8:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg9:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg10:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg12:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg13:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg14:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg16:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg17:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg18:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg20:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg21:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg22:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg24:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg25:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg26:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg28:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg29:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg30:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg32:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg33:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg34:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg36:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg37:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg38:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg40:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg41:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg42:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg44:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg45:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg46:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg48:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg49:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg50:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg52:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg53:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg54:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg56:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg57:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg58:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg60:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg61:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg62:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg64:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg1:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg4:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg5:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg6:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg8:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg9:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg10:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg12:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg13:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg14:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg16:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg17:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg18:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg20:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg21:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg22:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg24:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg25:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg26:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg28:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg29:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg30:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg32:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg33:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg34:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg36:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg37:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg38:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg40:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg41:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg42:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg44:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg45:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg46:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg48:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg49:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg50:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg52:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg53:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg54:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg56:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg57:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg58:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg60:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg61:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg62:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg64:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_tab_acc_ready:1;
        RBus_UInt32  sram_tab_acc_sel:1;
        RBus_UInt32  sram_tab_rw_sel:2;
        RBus_UInt32  sram_tab_acc_index:6;
        RBus_UInt32  sram_tab_acc_index_cur:6;
        RBus_UInt32  res1:16;
    };
}color_dcc_sram_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_tab_g1:8;
        RBus_UInt32  sram_tab_g0:8;
        RBus_UInt32  sram_tab_base:10;
        RBus_UInt32  res1:6;
    };
}color_dcc_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_acc_ready:1;
        RBus_UInt32  sram_user_tab_acc_sel:1;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  res1:16;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_g1:8;
        RBus_UInt32  sram_user_tab_g0:8;
        RBus_UInt32  sram_user_tab_base:10;
        RBus_UInt32  res1:6;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  res1:29;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  res3:13;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_center:10;
        RBus_UInt32  y_blending_0_u_center:10;
        RBus_UInt32  y_blending_0_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_center:10;
        RBus_UInt32  y_blending_1_u_center:10;
        RBus_UInt32  y_blending_1_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_center:10;
        RBus_UInt32  y_blending_2_u_center:10;
        RBus_UInt32  y_blending_2_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_center:10;
        RBus_UInt32  y_blending_3_u_center:10;
        RBus_UInt32  y_blending_3_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_0:1;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  rm_0:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  res5:2;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_2:1;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  res5:2;
    };
}color_dcc_d_dcc_bist_1_RBUS;




#endif 


#endif 
