/**
* @file Merlin6_MEMC_KME_ME1_TOP9
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_KME_ME1_TOP9_REG_H_
#define _RBUS_KME_ME1_TOP9_REG_H_

#include "rbus_types.h"



//  KME_ME1_TOP9 Register Address
#define  KME_ME1_TOP9_KME_ME1_TOP9_00                                           0x1809CC00
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_reg_addr                                   "0xB809CC00"
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_reg                                        0xB809CC00
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_inst_addr                                  "0x0000"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_00_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_00_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_00_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_00_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_regr_me1_statis_rgn00_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_regr_me1_statis_rgn00_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_regr_me1_statis_rgn00_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_00_get_regr_me1_statis_rgn00_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_04                                           0x1809CC04
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_reg_addr                                   "0xB809CC04"
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_reg                                        0xB809CC04
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_inst_addr                                  "0x0001"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_04_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_04_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_04_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_04_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_regr_me1_statis_rgn01_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_regr_me1_statis_rgn01_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_regr_me1_statis_rgn01_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_04_get_regr_me1_statis_rgn01_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_08                                           0x1809CC08
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_reg_addr                                   "0xB809CC08"
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_reg                                        0xB809CC08
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_inst_addr                                  "0x0002"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_08_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_08_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_08_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_08_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_regr_me1_statis_rgn02_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_regr_me1_statis_rgn02_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_regr_me1_statis_rgn02_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_08_get_regr_me1_statis_rgn02_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_0C                                           0x1809CC0C
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_reg_addr                                   "0xB809CC0C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_reg                                        0xB809CC0C
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_inst_addr                                  "0x0003"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_0C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_0C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_0C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_0C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_regr_me1_statis_rgn03_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_regr_me1_statis_rgn03_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_regr_me1_statis_rgn03_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_0C_get_regr_me1_statis_rgn03_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_10                                           0x1809CC10
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_reg_addr                                   "0xB809CC10"
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_reg                                        0xB809CC10
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_inst_addr                                  "0x0004"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_10_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_10_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_10_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_10_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_regr_me1_statis_rgn04_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_regr_me1_statis_rgn04_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_regr_me1_statis_rgn04_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_10_get_regr_me1_statis_rgn04_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_14                                           0x1809CC14
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_reg_addr                                   "0xB809CC14"
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_reg                                        0xB809CC14
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_inst_addr                                  "0x0005"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_14_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_14_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_14_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_14_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_regr_me1_statis_rgn05_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_regr_me1_statis_rgn05_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_regr_me1_statis_rgn05_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_14_get_regr_me1_statis_rgn05_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_18                                           0x1809CC18
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_reg_addr                                   "0xB809CC18"
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_reg                                        0xB809CC18
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_inst_addr                                  "0x0006"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_18_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_18_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_18_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_18_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_regr_me1_statis_rgn06_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_regr_me1_statis_rgn06_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_regr_me1_statis_rgn06_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_18_get_regr_me1_statis_rgn06_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_1C                                           0x1809CC1C
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_reg_addr                                   "0xB809CC1C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_reg                                        0xB809CC1C
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_inst_addr                                  "0x0007"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_1C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_1C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_1C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_1C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_regr_me1_statis_rgn07_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_regr_me1_statis_rgn07_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_regr_me1_statis_rgn07_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_1C_get_regr_me1_statis_rgn07_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_20                                           0x1809CC20
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_reg_addr                                   "0xB809CC20"
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_reg                                        0xB809CC20
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_inst_addr                                  "0x0008"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_20_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_20_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_20_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_20_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_regr_me1_statis_rgn08_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_regr_me1_statis_rgn08_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_regr_me1_statis_rgn08_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_20_get_regr_me1_statis_rgn08_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_24                                           0x1809CC24
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_reg_addr                                   "0xB809CC24"
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_reg                                        0xB809CC24
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_inst_addr                                  "0x0009"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_24_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_24_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_24_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_24_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_regr_me1_statis_rgn09_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_regr_me1_statis_rgn09_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_regr_me1_statis_rgn09_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_24_get_regr_me1_statis_rgn09_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_28                                           0x1809CC28
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_reg_addr                                   "0xB809CC28"
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_reg                                        0xB809CC28
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_inst_addr                                  "0x000A"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_28_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_28_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_28_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_28_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_regr_me1_statis_rgn10_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_regr_me1_statis_rgn10_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_regr_me1_statis_rgn10_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_28_get_regr_me1_statis_rgn10_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_2C                                           0x1809CC2C
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_reg_addr                                   "0xB809CC2C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_reg                                        0xB809CC2C
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_inst_addr                                  "0x000B"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_2C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_2C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_2C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_2C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_regr_me1_statis_rgn11_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_regr_me1_statis_rgn11_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_regr_me1_statis_rgn11_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_2C_get_regr_me1_statis_rgn11_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_30                                           0x1809CC30
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_reg_addr                                   "0xB809CC30"
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_reg                                        0xB809CC30
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_inst_addr                                  "0x000C"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_30_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_30_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_30_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_30_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_regr_me1_statis_rgn12_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_regr_me1_statis_rgn12_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_regr_me1_statis_rgn12_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_30_get_regr_me1_statis_rgn12_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_34                                           0x1809CC34
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_reg_addr                                   "0xB809CC34"
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_reg                                        0xB809CC34
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_inst_addr                                  "0x000D"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_34_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_34_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_34_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_34_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_regr_me1_statis_rgn13_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_regr_me1_statis_rgn13_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_regr_me1_statis_rgn13_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_34_get_regr_me1_statis_rgn13_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_38                                           0x1809CC38
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_reg_addr                                   "0xB809CC38"
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_reg                                        0xB809CC38
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_inst_addr                                  "0x000E"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_38_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_38_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_38_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_38_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_regr_me1_statis_rgn14_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_regr_me1_statis_rgn14_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_regr_me1_statis_rgn14_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_38_get_regr_me1_statis_rgn14_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_3C                                           0x1809CC3C
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_reg_addr                                   "0xB809CC3C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_reg                                        0xB809CC3C
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_inst_addr                                  "0x000F"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_3C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_3C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_3C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_3C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_regr_me1_statis_rgn15_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_regr_me1_statis_rgn15_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_regr_me1_statis_rgn15_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_3C_get_regr_me1_statis_rgn15_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_40                                           0x1809CC40
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_reg_addr                                   "0xB809CC40"
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_reg                                        0xB809CC40
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_inst_addr                                  "0x0010"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_40_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_40_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_40_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_40_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_regr_me1_statis_rgn16_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_regr_me1_statis_rgn16_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_regr_me1_statis_rgn16_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_40_get_regr_me1_statis_rgn16_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_44                                           0x1809CC44
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_reg_addr                                   "0xB809CC44"
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_reg                                        0xB809CC44
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_inst_addr                                  "0x0011"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_44_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_44_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_44_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_44_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_regr_me1_statis_rgn17_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_regr_me1_statis_rgn17_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_regr_me1_statis_rgn17_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_44_get_regr_me1_statis_rgn17_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_48                                           0x1809CC48
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_reg_addr                                   "0xB809CC48"
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_reg                                        0xB809CC48
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_inst_addr                                  "0x0012"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_48_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_48_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_48_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_48_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_regr_me1_statis_rgn18_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_regr_me1_statis_rgn18_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_regr_me1_statis_rgn18_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_48_get_regr_me1_statis_rgn18_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_4C                                           0x1809CC4C
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_reg_addr                                   "0xB809CC4C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_reg                                        0xB809CC4C
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_inst_addr                                  "0x0013"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_4C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_4C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_4C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_4C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_regr_me1_statis_rgn19_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_regr_me1_statis_rgn19_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_regr_me1_statis_rgn19_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_4C_get_regr_me1_statis_rgn19_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_50                                           0x1809CC50
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_reg_addr                                   "0xB809CC50"
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_reg                                        0xB809CC50
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_inst_addr                                  "0x0014"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_50_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_50_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_50_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_50_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_regr_me1_statis_rgn20_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_regr_me1_statis_rgn20_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_regr_me1_statis_rgn20_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_50_get_regr_me1_statis_rgn20_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_54                                           0x1809CC54
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_reg_addr                                   "0xB809CC54"
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_reg                                        0xB809CC54
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_inst_addr                                  "0x0015"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_54_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_54_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_54_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_54_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_regr_me1_statis_rgn21_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_regr_me1_statis_rgn21_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_regr_me1_statis_rgn21_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_54_get_regr_me1_statis_rgn21_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_58                                           0x1809CC58
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_reg_addr                                   "0xB809CC58"
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_reg                                        0xB809CC58
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_inst_addr                                  "0x0016"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_58_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_58_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_58_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_58_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_regr_me1_statis_rgn22_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_regr_me1_statis_rgn22_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_regr_me1_statis_rgn22_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_58_get_regr_me1_statis_rgn22_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_5C                                           0x1809CC5C
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_reg_addr                                   "0xB809CC5C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_reg                                        0xB809CC5C
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_inst_addr                                  "0x0017"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_5C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_5C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_5C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_5C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_regr_me1_statis_rgn23_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_regr_me1_statis_rgn23_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_regr_me1_statis_rgn23_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_5C_get_regr_me1_statis_rgn23_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_60                                           0x1809CC60
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_reg_addr                                   "0xB809CC60"
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_reg                                        0xB809CC60
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_inst_addr                                  "0x0018"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_60_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_60_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_60_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_60_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_regr_me1_statis_rgn24_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_regr_me1_statis_rgn24_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_regr_me1_statis_rgn24_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_60_get_regr_me1_statis_rgn24_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_64                                           0x1809CC64
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_reg_addr                                   "0xB809CC64"
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_reg                                        0xB809CC64
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_inst_addr                                  "0x0019"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_64_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_64_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_64_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_64_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_regr_me1_statis_rgn25_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_regr_me1_statis_rgn25_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_regr_me1_statis_rgn25_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_64_get_regr_me1_statis_rgn25_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_68                                           0x1809CC68
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_reg_addr                                   "0xB809CC68"
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_reg                                        0xB809CC68
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_inst_addr                                  "0x001A"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_68_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_68_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_68_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_68_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_regr_me1_statis_rgn26_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_regr_me1_statis_rgn26_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_regr_me1_statis_rgn26_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_68_get_regr_me1_statis_rgn26_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_6C                                           0x1809CC6C
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_reg_addr                                   "0xB809CC6C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_reg                                        0xB809CC6C
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_inst_addr                                  "0x001B"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_6C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_6C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_6C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_6C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_regr_me1_statis_rgn27_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_regr_me1_statis_rgn27_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_regr_me1_statis_rgn27_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_6C_get_regr_me1_statis_rgn27_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_70                                           0x1809CC70
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_reg_addr                                   "0xB809CC70"
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_reg                                        0xB809CC70
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_inst_addr                                  "0x001C"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_70_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_70_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_70_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_70_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_regr_me1_statis_rgn28_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_regr_me1_statis_rgn28_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_regr_me1_statis_rgn28_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_70_get_regr_me1_statis_rgn28_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_74                                           0x1809CC74
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_reg_addr                                   "0xB809CC74"
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_reg                                        0xB809CC74
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_inst_addr                                  "0x001D"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_74_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_74_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_74_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_74_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_regr_me1_statis_rgn29_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_regr_me1_statis_rgn29_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_regr_me1_statis_rgn29_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_74_get_regr_me1_statis_rgn29_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_78                                           0x1809CC78
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_reg_addr                                   "0xB809CC78"
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_reg                                        0xB809CC78
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_inst_addr                                  "0x001E"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_78_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_78_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_78_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_78_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_regr_me1_statis_rgn30_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_regr_me1_statis_rgn30_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_regr_me1_statis_rgn30_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_78_get_regr_me1_statis_rgn30_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_7C                                           0x1809CC7C
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_reg_addr                                   "0xB809CC7C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_reg                                        0xB809CC7C
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_inst_addr                                  "0x001F"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_7C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_7C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_7C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_7C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_regr_me1_statis_rgn31_apli_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_regr_me1_statis_rgn31_apli_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_regr_me1_statis_rgn31_apli(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_7C_get_regr_me1_statis_rgn31_apli(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_80                                           0x1809CC80
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_reg_addr                                   "0xB809CC80"
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_reg                                        0xB809CC80
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_inst_addr                                  "0x0020"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_80_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_80_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_80_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_80_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_regr_me1_statis_rgn00_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_regr_me1_statis_rgn00_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_regr_me1_statis_rgn00_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_80_get_regr_me1_statis_rgn00_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_84                                           0x1809CC84
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_reg_addr                                   "0xB809CC84"
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_reg                                        0xB809CC84
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_inst_addr                                  "0x0021"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_84_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_84_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_84_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_84_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_regr_me1_statis_rgn01_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_regr_me1_statis_rgn01_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_regr_me1_statis_rgn01_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_84_get_regr_me1_statis_rgn01_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_88                                           0x1809CC88
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_reg_addr                                   "0xB809CC88"
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_reg                                        0xB809CC88
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_inst_addr                                  "0x0022"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_88_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_88_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_88_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_88_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_regr_me1_statis_rgn02_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_regr_me1_statis_rgn02_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_regr_me1_statis_rgn02_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_88_get_regr_me1_statis_rgn02_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_8C                                           0x1809CC8C
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_reg_addr                                   "0xB809CC8C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_reg                                        0xB809CC8C
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_inst_addr                                  "0x0023"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_8C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_8C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_8C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_8C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_regr_me1_statis_rgn03_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_regr_me1_statis_rgn03_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_regr_me1_statis_rgn03_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_8C_get_regr_me1_statis_rgn03_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_90                                           0x1809CC90
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_reg_addr                                   "0xB809CC90"
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_reg                                        0xB809CC90
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_inst_addr                                  "0x0024"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_90_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_90_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_90_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_90_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_regr_me1_statis_rgn04_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_regr_me1_statis_rgn04_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_regr_me1_statis_rgn04_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_90_get_regr_me1_statis_rgn04_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_94                                           0x1809CC94
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_reg_addr                                   "0xB809CC94"
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_reg                                        0xB809CC94
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_inst_addr                                  "0x0025"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_94_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_94_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_94_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_94_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_regr_me1_statis_rgn05_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_regr_me1_statis_rgn05_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_regr_me1_statis_rgn05_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_94_get_regr_me1_statis_rgn05_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_98                                           0x1809CC98
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_reg_addr                                   "0xB809CC98"
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_reg                                        0xB809CC98
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_inst_addr                                  "0x0026"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_98_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_98_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_98_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_98_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_regr_me1_statis_rgn06_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_regr_me1_statis_rgn06_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_regr_me1_statis_rgn06_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_98_get_regr_me1_statis_rgn06_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_9C                                           0x1809CC9C
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_reg_addr                                   "0xB809CC9C"
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_reg                                        0xB809CC9C
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_inst_addr                                  "0x0027"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_9C_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_9C_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_9C_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_9C_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_regr_me1_statis_rgn07_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_regr_me1_statis_rgn07_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_regr_me1_statis_rgn07_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_9C_get_regr_me1_statis_rgn07_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_A0                                           0x1809CCA0
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_reg_addr                                   "0xB809CCA0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_reg                                        0xB809CCA0
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_inst_addr                                  "0x0028"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_A0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_A0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_regr_me1_statis_rgn08_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_regr_me1_statis_rgn08_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_regr_me1_statis_rgn08_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A0_get_regr_me1_statis_rgn08_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_A4                                           0x1809CCA4
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_reg_addr                                   "0xB809CCA4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_reg                                        0xB809CCA4
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_inst_addr                                  "0x0029"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_A4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_A4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_regr_me1_statis_rgn09_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_regr_me1_statis_rgn09_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_regr_me1_statis_rgn09_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A4_get_regr_me1_statis_rgn09_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_A8                                           0x1809CCA8
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_reg_addr                                   "0xB809CCA8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_reg                                        0xB809CCA8
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_inst_addr                                  "0x002A"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_A8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_A8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_A8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_regr_me1_statis_rgn10_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_regr_me1_statis_rgn10_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_regr_me1_statis_rgn10_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_A8_get_regr_me1_statis_rgn10_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_AC                                           0x1809CCAC
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_reg_addr                                   "0xB809CCAC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_reg                                        0xB809CCAC
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_inst_addr                                  "0x002B"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_AC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_AC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_AC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_AC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_regr_me1_statis_rgn11_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_regr_me1_statis_rgn11_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_regr_me1_statis_rgn11_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_AC_get_regr_me1_statis_rgn11_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_B0                                           0x1809CCB0
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_reg_addr                                   "0xB809CCB0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_reg                                        0xB809CCB0
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_inst_addr                                  "0x002C"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_B0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_B0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_regr_me1_statis_rgn12_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_regr_me1_statis_rgn12_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_regr_me1_statis_rgn12_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B0_get_regr_me1_statis_rgn12_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_B4                                           0x1809CCB4
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_reg_addr                                   "0xB809CCB4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_reg                                        0xB809CCB4
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_inst_addr                                  "0x002D"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_B4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_B4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_regr_me1_statis_rgn13_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_regr_me1_statis_rgn13_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_regr_me1_statis_rgn13_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B4_get_regr_me1_statis_rgn13_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_B8                                           0x1809CCB8
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_reg_addr                                   "0xB809CCB8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_reg                                        0xB809CCB8
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_inst_addr                                  "0x002E"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_B8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_B8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_B8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_regr_me1_statis_rgn14_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_regr_me1_statis_rgn14_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_regr_me1_statis_rgn14_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_B8_get_regr_me1_statis_rgn14_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_BC                                           0x1809CCBC
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_reg_addr                                   "0xB809CCBC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_reg                                        0xB809CCBC
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_inst_addr                                  "0x002F"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_BC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_BC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_BC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_BC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_regr_me1_statis_rgn15_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_regr_me1_statis_rgn15_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_regr_me1_statis_rgn15_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_BC_get_regr_me1_statis_rgn15_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_C0                                           0x1809CCC0
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_reg_addr                                   "0xB809CCC0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_reg                                        0xB809CCC0
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_inst_addr                                  "0x0030"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_C0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_C0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_regr_me1_statis_rgn16_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_regr_me1_statis_rgn16_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_regr_me1_statis_rgn16_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C0_get_regr_me1_statis_rgn16_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_C4                                           0x1809CCC4
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_reg_addr                                   "0xB809CCC4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_reg                                        0xB809CCC4
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_inst_addr                                  "0x0031"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_C4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_C4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_regr_me1_statis_rgn17_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_regr_me1_statis_rgn17_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_regr_me1_statis_rgn17_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C4_get_regr_me1_statis_rgn17_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_C8                                           0x1809CCC8
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_reg_addr                                   "0xB809CCC8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_reg                                        0xB809CCC8
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_inst_addr                                  "0x0032"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_C8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_C8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_C8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_regr_me1_statis_rgn18_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_regr_me1_statis_rgn18_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_regr_me1_statis_rgn18_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_C8_get_regr_me1_statis_rgn18_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_CC                                           0x1809CCCC
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_reg_addr                                   "0xB809CCCC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_reg                                        0xB809CCCC
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_inst_addr                                  "0x0033"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_CC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_CC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_CC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_CC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_regr_me1_statis_rgn19_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_regr_me1_statis_rgn19_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_regr_me1_statis_rgn19_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_CC_get_regr_me1_statis_rgn19_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_D0                                           0x1809CCD0
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_reg_addr                                   "0xB809CCD0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_reg                                        0xB809CCD0
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_inst_addr                                  "0x0034"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_D0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_D0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_regr_me1_statis_rgn20_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_regr_me1_statis_rgn20_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_regr_me1_statis_rgn20_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D0_get_regr_me1_statis_rgn20_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_D4                                           0x1809CCD4
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_reg_addr                                   "0xB809CCD4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_reg                                        0xB809CCD4
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_inst_addr                                  "0x0035"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_D4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_D4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_regr_me1_statis_rgn21_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_regr_me1_statis_rgn21_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_regr_me1_statis_rgn21_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D4_get_regr_me1_statis_rgn21_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_D8                                           0x1809CCD8
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_reg_addr                                   "0xB809CCD8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_reg                                        0xB809CCD8
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_inst_addr                                  "0x0036"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_D8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_D8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_D8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_regr_me1_statis_rgn22_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_regr_me1_statis_rgn22_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_regr_me1_statis_rgn22_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_D8_get_regr_me1_statis_rgn22_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_DC                                           0x1809CCDC
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_reg_addr                                   "0xB809CCDC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_reg                                        0xB809CCDC
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_inst_addr                                  "0x0037"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_DC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_DC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_DC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_DC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_regr_me1_statis_rgn23_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_regr_me1_statis_rgn23_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_regr_me1_statis_rgn23_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_DC_get_regr_me1_statis_rgn23_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_E0                                           0x1809CCE0
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_reg_addr                                   "0xB809CCE0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_reg                                        0xB809CCE0
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_inst_addr                                  "0x0038"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_E0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_E0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_regr_me1_statis_rgn24_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_regr_me1_statis_rgn24_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_regr_me1_statis_rgn24_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E0_get_regr_me1_statis_rgn24_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_E4                                           0x1809CCE4
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_reg_addr                                   "0xB809CCE4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_reg                                        0xB809CCE4
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_inst_addr                                  "0x0039"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_E4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_E4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_regr_me1_statis_rgn25_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_regr_me1_statis_rgn25_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_regr_me1_statis_rgn25_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E4_get_regr_me1_statis_rgn25_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_E8                                           0x1809CCE8
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_reg_addr                                   "0xB809CCE8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_reg                                        0xB809CCE8
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_inst_addr                                  "0x003A"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_E8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_E8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_E8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_regr_me1_statis_rgn26_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_regr_me1_statis_rgn26_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_regr_me1_statis_rgn26_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_E8_get_regr_me1_statis_rgn26_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_EC                                           0x1809CCEC
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_reg_addr                                   "0xB809CCEC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_reg                                        0xB809CCEC
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_inst_addr                                  "0x003B"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_EC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_EC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_EC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_EC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_regr_me1_statis_rgn27_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_regr_me1_statis_rgn27_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_regr_me1_statis_rgn27_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_EC_get_regr_me1_statis_rgn27_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_F0                                           0x1809CCF0
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_reg_addr                                   "0xB809CCF0"
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_reg                                        0xB809CCF0
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_inst_addr                                  "0x003C"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_F0_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F0_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_F0_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F0_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_regr_me1_statis_rgn28_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_regr_me1_statis_rgn28_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_regr_me1_statis_rgn28_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F0_get_regr_me1_statis_rgn28_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_F4                                           0x1809CCF4
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_reg_addr                                   "0xB809CCF4"
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_reg                                        0xB809CCF4
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_inst_addr                                  "0x003D"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_F4_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F4_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_F4_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F4_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_regr_me1_statis_rgn29_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_regr_me1_statis_rgn29_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_regr_me1_statis_rgn29_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F4_get_regr_me1_statis_rgn29_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_F8                                           0x1809CCF8
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_reg_addr                                   "0xB809CCF8"
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_reg                                        0xB809CCF8
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_inst_addr                                  "0x003E"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_F8_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F8_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_F8_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_F8_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_regr_me1_statis_rgn30_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_regr_me1_statis_rgn30_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_regr_me1_statis_rgn30_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_F8_get_regr_me1_statis_rgn30_aplp(data)       (0x000FFFFF&(data))

#define  KME_ME1_TOP9_KME_ME1_TOP9_FC                                           0x1809CCFC
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_reg_addr                                   "0xB809CCFC"
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_reg                                        0xB809CCFC
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_inst_addr                                  "0x003F"
#define  set_KME_ME1_TOP9_KME_ME1_TOP9_FC_reg(data)                              (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_FC_reg)=data)
#define  get_KME_ME1_TOP9_KME_ME1_TOP9_FC_reg                                    (*((volatile unsigned int*)KME_ME1_TOP9_KME_ME1_TOP9_FC_reg))
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_regr_me1_statis_rgn31_aplp_shift           (0)
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_regr_me1_statis_rgn31_aplp_mask            (0x000FFFFF)
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_regr_me1_statis_rgn31_aplp(data)           (0x000FFFFF&(data))
#define  KME_ME1_TOP9_KME_ME1_TOP9_FC_get_regr_me1_statis_rgn31_aplp(data)       (0x000FFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======KME_ME1_TOP9 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn00_apli:20;
    };
}kme_me1_top9_kme_me1_top9_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn01_apli:20;
    };
}kme_me1_top9_kme_me1_top9_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn02_apli:20;
    };
}kme_me1_top9_kme_me1_top9_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn03_apli:20;
    };
}kme_me1_top9_kme_me1_top9_0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn04_apli:20;
    };
}kme_me1_top9_kme_me1_top9_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn05_apli:20;
    };
}kme_me1_top9_kme_me1_top9_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn06_apli:20;
    };
}kme_me1_top9_kme_me1_top9_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn07_apli:20;
    };
}kme_me1_top9_kme_me1_top9_1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn08_apli:20;
    };
}kme_me1_top9_kme_me1_top9_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn09_apli:20;
    };
}kme_me1_top9_kme_me1_top9_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn10_apli:20;
    };
}kme_me1_top9_kme_me1_top9_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn11_apli:20;
    };
}kme_me1_top9_kme_me1_top9_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn12_apli:20;
    };
}kme_me1_top9_kme_me1_top9_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn13_apli:20;
    };
}kme_me1_top9_kme_me1_top9_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn14_apli:20;
    };
}kme_me1_top9_kme_me1_top9_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn15_apli:20;
    };
}kme_me1_top9_kme_me1_top9_3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn16_apli:20;
    };
}kme_me1_top9_kme_me1_top9_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn17_apli:20;
    };
}kme_me1_top9_kme_me1_top9_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn18_apli:20;
    };
}kme_me1_top9_kme_me1_top9_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn19_apli:20;
    };
}kme_me1_top9_kme_me1_top9_4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn20_apli:20;
    };
}kme_me1_top9_kme_me1_top9_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn21_apli:20;
    };
}kme_me1_top9_kme_me1_top9_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn22_apli:20;
    };
}kme_me1_top9_kme_me1_top9_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn23_apli:20;
    };
}kme_me1_top9_kme_me1_top9_5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn24_apli:20;
    };
}kme_me1_top9_kme_me1_top9_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn25_apli:20;
    };
}kme_me1_top9_kme_me1_top9_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn26_apli:20;
    };
}kme_me1_top9_kme_me1_top9_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn27_apli:20;
    };
}kme_me1_top9_kme_me1_top9_6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn28_apli:20;
    };
}kme_me1_top9_kme_me1_top9_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn29_apli:20;
    };
}kme_me1_top9_kme_me1_top9_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn30_apli:20;
    };
}kme_me1_top9_kme_me1_top9_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn31_apli:20;
    };
}kme_me1_top9_kme_me1_top9_7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn00_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn01_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn02_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn03_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn04_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn05_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn06_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn07_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn08_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn09_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn10_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn11_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn12_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn13_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn14_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn15_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn16_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn17_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn18_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn19_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn20_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn21_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn22_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn23_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn24_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn25_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn26_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn27_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn28_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn29_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn30_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn31_aplp:20;
    };
}kme_me1_top9_kme_me1_top9_fc_RBUS;

#else //apply LITTLE_ENDIAN

//======KME_ME1_TOP9 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_apli:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_aplp:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top9_kme_me1_top9_fc_RBUS;




#endif 


#endif 
