/**
* @file Merlin6_MEMC_software1
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SOFTWARE1_00_ADDR_REG_H_
#define _RBUS_SOFTWARE1_00_ADDR_REG_H_

#include "rbus_types.h"



//  SOFTWARE1_00_ADDR Register Address
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR                                    0x1809D700
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg_addr                            "0xB809D700"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg                                 0xB809D700
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_inst_addr                           "0x0000"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_dummy_31_1_shift                    (1)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_powersaving_en_shift                (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_dummy_31_1_mask                     (0xFFFFFFFE)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_powersaving_en_mask                 (0x00000001)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_dummy_31_1(data)                    (0xFFFFFFFE&((data)<<1))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_powersaving_en(data)                (0x00000001&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_get_dummy_31_1(data)                ((0xFFFFFFFE&(data))>>1)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_00_ADDR_get_powersaving_en(data)            (0x00000001&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR                                    0x1809D704
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg_addr                            "0xB809D704"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg                                 0xB809D704
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_inst_addr                           "0x0001"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_01_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR                                    0x1809D708
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg_addr                            "0xB809D708"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg                                 0xB809D708
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_inst_addr                           "0x0002"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_02_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR                                    0x1809D70C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg_addr                            "0xB809D70C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg                                 0xB809D70C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_inst_addr                           "0x0003"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_03_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR                                    0x1809D710
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg_addr                            "0xB809D710"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg                                 0xB809D710
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_inst_addr                           "0x0004"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_04_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR                                    0x1809D714
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg_addr                            "0xB809D714"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg                                 0xB809D714
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_inst_addr                           "0x0005"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_05_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR                                    0x1809D718
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg_addr                            "0xB809D718"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg                                 0xB809D718
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_inst_addr                           "0x0006"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_06_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR                                    0x1809D71C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg_addr                            "0xB809D71C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg                                 0xB809D71C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_inst_addr                           "0x0007"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_07_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR                                    0x1809D720
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg_addr                            "0xB809D720"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg                                 0xB809D720
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_inst_addr                           "0x0008"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_08_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR                                    0x1809D724
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg_addr                            "0xB809D724"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg                                 0xB809D724
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_inst_addr                           "0x0009"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_09_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR                                    0x1809D728
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg_addr                            "0xB809D728"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg                                 0xB809D728
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_inst_addr                           "0x000A"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_10_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR                                    0x1809D72C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg_addr                            "0xB809D72C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg                                 0xB809D72C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_inst_addr                           "0x000B"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_11_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR                                    0x1809D730
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg_addr                            "0xB809D730"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg                                 0xB809D730
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_inst_addr                           "0x000C"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_12_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR                                    0x1809D734
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg_addr                            "0xB809D734"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg                                 0xB809D734
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_inst_addr                           "0x000D"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_13_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR                                    0x1809D738
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg_addr                            "0xB809D738"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg                                 0xB809D738
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_inst_addr                           "0x000E"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_14_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR                                    0x1809D73C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg_addr                            "0xB809D73C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg                                 0xB809D73C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_inst_addr                           "0x000F"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_15_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR                                    0x1809D740
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg_addr                            "0xB809D740"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg                                 0xB809D740
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_inst_addr                           "0x0010"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_16_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR                                    0x1809D744
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg_addr                            "0xB809D744"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg                                 0xB809D744
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_inst_addr                           "0x0011"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_17_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR                                    0x1809D748
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg_addr                            "0xB809D748"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg                                 0xB809D748
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_inst_addr                           "0x0012"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_18_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR                                    0x1809D74C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg_addr                            "0xB809D74C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg                                 0xB809D74C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_inst_addr                           "0x0013"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_19_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR                                    0x1809D750
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg_addr                            "0xB809D750"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg                                 0xB809D750
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_inst_addr                           "0x0014"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_20_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR                                    0x1809D754
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg_addr                            "0xB809D754"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg                                 0xB809D754
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_inst_addr                           "0x0015"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_21_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR                                    0x1809D758
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg_addr                            "0xB809D758"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg                                 0xB809D758
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_inst_addr                           "0x0016"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_22_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR                                    0x1809D75C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg_addr                            "0xB809D75C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg                                 0xB809D75C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_inst_addr                           "0x0017"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_23_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR                                    0x1809D760
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg_addr                            "0xB809D760"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg                                 0xB809D760
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_inst_addr                           "0x0018"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_24_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR                                    0x1809D764
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg_addr                            "0xB809D764"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg                                 0xB809D764
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_inst_addr                           "0x0019"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_25_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR                                    0x1809D768
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg_addr                            "0xB809D768"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg                                 0xB809D768
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_inst_addr                           "0x001A"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_26_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR                                    0x1809D76C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg_addr                            "0xB809D76C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg                                 0xB809D76C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_inst_addr                           "0x001B"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_27_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR                                    0x1809D770
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg_addr                            "0xB809D770"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg                                 0xB809D770
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_inst_addr                           "0x001C"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_28_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR                                    0x1809D774
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg_addr                            "0xB809D774"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg                                 0xB809D774
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_inst_addr                           "0x001D"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_29_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR                                    0x1809D778
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg_addr                            "0xB809D778"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg                                 0xB809D778
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_inst_addr                           "0x001E"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_30_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR                                    0x1809D77C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg_addr                            "0xB809D77C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg                                 0xB809D77C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_inst_addr                           "0x001F"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_31_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR                                    0x1809D780
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg_addr                            "0xB809D780"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg                                 0xB809D780
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_inst_addr                           "0x0020"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_32_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR                                    0x1809D784
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg_addr                            "0xB809D784"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg                                 0xB809D784
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_inst_addr                           "0x0021"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_33_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR                                    0x1809D788
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg_addr                            "0xB809D788"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg                                 0xB809D788
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_inst_addr                           "0x0022"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_34_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR                                    0x1809D78C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg_addr                            "0xB809D78C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg                                 0xB809D78C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_inst_addr                           "0x0023"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_35_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR                                    0x1809D790
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg_addr                            "0xB809D790"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg                                 0xB809D790
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_inst_addr                           "0x0024"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_36_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR                                    0x1809D794
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg_addr                            "0xB809D794"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg                                 0xB809D794
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_inst_addr                           "0x0025"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_37_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR                                    0x1809D798
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg_addr                            "0xB809D798"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg                                 0xB809D798
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_inst_addr                           "0x0026"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_38_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR                                    0x1809D79C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg_addr                            "0xB809D79C"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg                                 0xB809D79C
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_inst_addr                           "0x0027"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_39_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR                                    0x1809D7A0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg_addr                            "0xB809D7A0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg                                 0xB809D7A0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_inst_addr                           "0x0028"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_40_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR                                    0x1809D7A4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg_addr                            "0xB809D7A4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg                                 0xB809D7A4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_inst_addr                           "0x0029"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_41_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR                                    0x1809D7A8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg_addr                            "0xB809D7A8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg                                 0xB809D7A8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_inst_addr                           "0x002A"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_42_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR                                    0x1809D7AC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg_addr                            "0xB809D7AC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg                                 0xB809D7AC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_inst_addr                           "0x002B"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_43_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR                                    0x1809D7B0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg_addr                            "0xB809D7B0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg                                 0xB809D7B0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_inst_addr                           "0x002C"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_44_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR                                    0x1809D7B4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg_addr                            "0xB809D7B4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg                                 0xB809D7B4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_inst_addr                           "0x002D"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_45_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR                                    0x1809D7B8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg_addr                            "0xB809D7B8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg                                 0xB809D7B8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_inst_addr                           "0x002E"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_46_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR                                    0x1809D7BC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg_addr                            "0xB809D7BC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg                                 0xB809D7BC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_inst_addr                           "0x002F"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_47_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR                                    0x1809D7C0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg_addr                            "0xB809D7C0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg                                 0xB809D7C0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_inst_addr                           "0x0030"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_48_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR                                    0x1809D7C4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg_addr                            "0xB809D7C4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg                                 0xB809D7C4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_inst_addr                           "0x0031"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_49_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR                                    0x1809D7C8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg_addr                            "0xB809D7C8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg                                 0xB809D7C8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_inst_addr                           "0x0032"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_50_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR                                    0x1809D7CC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg_addr                            "0xB809D7CC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg                                 0xB809D7CC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_inst_addr                           "0x0033"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_51_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR                                    0x1809D7D0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg_addr                            "0xB809D7D0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg                                 0xB809D7D0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_inst_addr                           "0x0034"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_52_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR                                    0x1809D7D4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg_addr                            "0xB809D7D4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg                                 0xB809D7D4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_inst_addr                           "0x0035"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_53_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR                                    0x1809D7D8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg_addr                            "0xB809D7D8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg                                 0xB809D7D8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_inst_addr                           "0x0036"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_54_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR                                    0x1809D7DC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg_addr                            "0xB809D7DC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg                                 0xB809D7DC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_inst_addr                           "0x0037"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_55_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR                                    0x1809D7E0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg_addr                            "0xB809D7E0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg                                 0xB809D7E0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_inst_addr                           "0x0038"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_56_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR                                    0x1809D7E4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg_addr                            "0xB809D7E4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg                                 0xB809D7E4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_inst_addr                           "0x0039"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_57_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR                                    0x1809D7E8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg_addr                            "0xB809D7E8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg                                 0xB809D7E8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_inst_addr                           "0x003A"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_58_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR                                    0x1809D7EC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg_addr                            "0xB809D7EC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg                                 0xB809D7EC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_inst_addr                           "0x003B"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_59_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR                                    0x1809D7F0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg_addr                            "0xB809D7F0"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg                                 0xB809D7F0
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_inst_addr                           "0x003C"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_60_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR                                    0x1809D7F4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg_addr                            "0xB809D7F4"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg                                 0xB809D7F4
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_inst_addr                           "0x003D"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_61_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR                                    0x1809D7F8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg_addr                            "0xB809D7F8"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg                                 0xB809D7F8
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_inst_addr                           "0x003E"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_62_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR                                    0x1809D7FC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg_addr                            "0xB809D7FC"
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg                                 0xB809D7FC
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_inst_addr                           "0x003F"
#define  set_SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg(data)                       (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg)=data)
#define  get_SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg                             (*((volatile unsigned int*)SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_reg))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_dummy_31_0_shift                    (0)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_dummy_31_0_mask                     (0xFFFFFFFF)
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_dummy_31_0(data)                    (0xFFFFFFFF&(data))
#define  SOFTWARE1_00_ADDR_SOFTWARE1_63_ADDR_get_dummy_31_0(data)                (0xFFFFFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SOFTWARE1_00_ADDR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d700_31_1:31;
        RBus_UInt32  powersaving_en:1;
    };
}software1_00_addr_software1_00_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d704_31_0:32;
    };
}software1_00_addr_software1_01_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d708_31_0:32;
    };
}software1_00_addr_software1_02_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d70c_31_0:32;
    };
}software1_00_addr_software1_03_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d710_31_0:32;
    };
}software1_00_addr_software1_04_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d714_31_0:32;
    };
}software1_00_addr_software1_05_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d718_31_0:32;
    };
}software1_00_addr_software1_06_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d71c_31_0:32;
    };
}software1_00_addr_software1_07_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d720_31_0:32;
    };
}software1_00_addr_software1_08_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d724_31_0:32;
    };
}software1_00_addr_software1_09_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d728_31_0:32;
    };
}software1_00_addr_software1_10_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d72c_31_0:32;
    };
}software1_00_addr_software1_11_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d730_31_0:32;
    };
}software1_00_addr_software1_12_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d734_31_0:32;
    };
}software1_00_addr_software1_13_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d738_31_0:32;
    };
}software1_00_addr_software1_14_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d73c_31_0:32;
    };
}software1_00_addr_software1_15_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d740_31_0:32;
    };
}software1_00_addr_software1_16_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d744_31_0:32;
    };
}software1_00_addr_software1_17_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d748_31_0:32;
    };
}software1_00_addr_software1_18_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d74c_31_0:32;
    };
}software1_00_addr_software1_19_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d750_31_0:32;
    };
}software1_00_addr_software1_20_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d754_31_0:32;
    };
}software1_00_addr_software1_21_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d758_31_0:32;
    };
}software1_00_addr_software1_22_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d75c_31_0:32;
    };
}software1_00_addr_software1_23_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d760_31_0:32;
    };
}software1_00_addr_software1_24_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d764_31_0:32;
    };
}software1_00_addr_software1_25_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d768_31_0:32;
    };
}software1_00_addr_software1_26_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d76c_31_0:32;
    };
}software1_00_addr_software1_27_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d770_31_0:32;
    };
}software1_00_addr_software1_28_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d774_31_0:32;
    };
}software1_00_addr_software1_29_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d778_31_0:32;
    };
}software1_00_addr_software1_30_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d77c_31_0:32;
    };
}software1_00_addr_software1_31_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d780_31_0:32;
    };
}software1_00_addr_software1_32_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d784_31_0:32;
    };
}software1_00_addr_software1_33_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d788_31_0:32;
    };
}software1_00_addr_software1_34_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d78c_31_0:32;
    };
}software1_00_addr_software1_35_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d790_31_0:32;
    };
}software1_00_addr_software1_36_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d794_31_0:32;
    };
}software1_00_addr_software1_37_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d798_31_0:32;
    };
}software1_00_addr_software1_38_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d79c_31_0:32;
    };
}software1_00_addr_software1_39_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a0_31_0:32;
    };
}software1_00_addr_software1_40_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a4_31_0:32;
    };
}software1_00_addr_software1_41_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a8_31_0:32;
    };
}software1_00_addr_software1_42_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7ac_31_0:32;
    };
}software1_00_addr_software1_43_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b0_31_0:32;
    };
}software1_00_addr_software1_44_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b4_31_0:32;
    };
}software1_00_addr_software1_45_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b8_31_0:32;
    };
}software1_00_addr_software1_46_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7bc_31_0:32;
    };
}software1_00_addr_software1_47_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c0_31_0:32;
    };
}software1_00_addr_software1_48_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c4_31_0:32;
    };
}software1_00_addr_software1_49_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c8_31_0:32;
    };
}software1_00_addr_software1_50_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7cc_31_0:32;
    };
}software1_00_addr_software1_51_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d0_31_0:32;
    };
}software1_00_addr_software1_52_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d4_31_0:32;
    };
}software1_00_addr_software1_53_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d8_31_0:32;
    };
}software1_00_addr_software1_54_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7dc_31_0:32;
    };
}software1_00_addr_software1_55_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e0_31_0:32;
    };
}software1_00_addr_software1_56_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e4_31_0:32;
    };
}software1_00_addr_software1_57_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e8_31_0:32;
    };
}software1_00_addr_software1_58_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7ec_31_0:32;
    };
}software1_00_addr_software1_59_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f0_31_0:32;
    };
}software1_00_addr_software1_60_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f4_31_0:32;
    };
}software1_00_addr_software1_61_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f8_31_0:32;
    };
}software1_00_addr_software1_62_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7fc_31_0:32;
    };
}software1_00_addr_software1_63_addr_RBUS;

#else //apply LITTLE_ENDIAN

//======SOFTWARE1_00_ADDR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  powersaving_en:1;
        RBus_UInt32  dummy1809d700_31_1:31;
    };
}software1_00_addr_software1_00_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d704_31_0:32;
    };
}software1_00_addr_software1_01_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d708_31_0:32;
    };
}software1_00_addr_software1_02_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d70c_31_0:32;
    };
}software1_00_addr_software1_03_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d710_31_0:32;
    };
}software1_00_addr_software1_04_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d714_31_0:32;
    };
}software1_00_addr_software1_05_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d718_31_0:32;
    };
}software1_00_addr_software1_06_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d71c_31_0:32;
    };
}software1_00_addr_software1_07_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d720_31_0:32;
    };
}software1_00_addr_software1_08_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d724_31_0:32;
    };
}software1_00_addr_software1_09_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d728_31_0:32;
    };
}software1_00_addr_software1_10_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d72c_31_0:32;
    };
}software1_00_addr_software1_11_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d730_31_0:32;
    };
}software1_00_addr_software1_12_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d734_31_0:32;
    };
}software1_00_addr_software1_13_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d738_31_0:32;
    };
}software1_00_addr_software1_14_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d73c_31_0:32;
    };
}software1_00_addr_software1_15_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d740_31_0:32;
    };
}software1_00_addr_software1_16_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d744_31_0:32;
    };
}software1_00_addr_software1_17_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d748_31_0:32;
    };
}software1_00_addr_software1_18_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d74c_31_0:32;
    };
}software1_00_addr_software1_19_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d750_31_0:32;
    };
}software1_00_addr_software1_20_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d754_31_0:32;
    };
}software1_00_addr_software1_21_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d758_31_0:32;
    };
}software1_00_addr_software1_22_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d75c_31_0:32;
    };
}software1_00_addr_software1_23_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d760_31_0:32;
    };
}software1_00_addr_software1_24_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d764_31_0:32;
    };
}software1_00_addr_software1_25_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d768_31_0:32;
    };
}software1_00_addr_software1_26_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d76c_31_0:32;
    };
}software1_00_addr_software1_27_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d770_31_0:32;
    };
}software1_00_addr_software1_28_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d774_31_0:32;
    };
}software1_00_addr_software1_29_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d778_31_0:32;
    };
}software1_00_addr_software1_30_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d77c_31_0:32;
    };
}software1_00_addr_software1_31_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d780_31_0:32;
    };
}software1_00_addr_software1_32_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d784_31_0:32;
    };
}software1_00_addr_software1_33_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d788_31_0:32;
    };
}software1_00_addr_software1_34_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d78c_31_0:32;
    };
}software1_00_addr_software1_35_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d790_31_0:32;
    };
}software1_00_addr_software1_36_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d794_31_0:32;
    };
}software1_00_addr_software1_37_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d798_31_0:32;
    };
}software1_00_addr_software1_38_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d79c_31_0:32;
    };
}software1_00_addr_software1_39_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a0_31_0:32;
    };
}software1_00_addr_software1_40_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a4_31_0:32;
    };
}software1_00_addr_software1_41_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7a8_31_0:32;
    };
}software1_00_addr_software1_42_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7ac_31_0:32;
    };
}software1_00_addr_software1_43_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b0_31_0:32;
    };
}software1_00_addr_software1_44_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b4_31_0:32;
    };
}software1_00_addr_software1_45_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7b8_31_0:32;
    };
}software1_00_addr_software1_46_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7bc_31_0:32;
    };
}software1_00_addr_software1_47_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c0_31_0:32;
    };
}software1_00_addr_software1_48_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c4_31_0:32;
    };
}software1_00_addr_software1_49_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7c8_31_0:32;
    };
}software1_00_addr_software1_50_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7cc_31_0:32;
    };
}software1_00_addr_software1_51_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d0_31_0:32;
    };
}software1_00_addr_software1_52_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d4_31_0:32;
    };
}software1_00_addr_software1_53_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7d8_31_0:32;
    };
}software1_00_addr_software1_54_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7dc_31_0:32;
    };
}software1_00_addr_software1_55_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e0_31_0:32;
    };
}software1_00_addr_software1_56_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e4_31_0:32;
    };
}software1_00_addr_software1_57_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7e8_31_0:32;
    };
}software1_00_addr_software1_58_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7ec_31_0:32;
    };
}software1_00_addr_software1_59_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f0_31_0:32;
    };
}software1_00_addr_software1_60_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f4_31_0:32;
    };
}software1_00_addr_software1_61_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7f8_31_0:32;
    };
}software1_00_addr_software1_62_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d7fc_31_0:32;
    };
}software1_00_addr_software1_63_addr_RBUS;




#endif 


#endif 
