#ifndef  __LD_INTERFACE_H_
#define  __LD_INTERFACE_H_
#ifdef __cplusplus
extern "C" {
#endif
//#include <asm/arch/rbus/rbusLD_InterfaceReg.h>

typedef enum {
	LD_CMO_MODE = 0,
	LD_LGD_MODE,
	LD_AS_MODE,
	LD_FORBIDDEN
}LD_MODE;

typedef enum {
	LD_WRITE_MODE_NOT_FOLLOW_VSYNC = 0,
	LD_WRITE_MODE_FOLLOW_VSYNC
}LD_WRITE_MODE;

extern void ld_Init(void);
extern int ld_Write(unsigned int* data, unsigned int length,LD_WRITE_MODE mode);
extern unsigned int ld_Read(unsigned int addr);




#ifdef __cplusplus
}
#endif
#endif

