#include "config.h"
#include "../tb_util.h"
#if MP_M470_MP_F069_BDC_IRQ

static const char* pattern_0 ="\
80017020: 00001001 00000000 00000001 00000001\n";

static test_vector mp_m470_mp_F069_BDC_IRQ_vector = {
	.vector_name = "mp_m470_mp_F069_BDC_IRQ",
	.cmd_string = "\
reset\n\
timeout 10000\n\
writereg 80013004 00000001\n\
writereg 80013000 00000001\n\
writereg 80017028 00000001\n\
writereg 80017020 00000001\n\
wait posedge irq\n\
dump_reg 80017020 80017030 > 0\n\
quit\n",
};

mali_error_code mp_m470_mp_F069_BDC_IRQ(void){
	mali_error_code err = MALI_ERROR_NO_ERROR;
	mp_m470_mp_F069_BDC_IRQ_vector.pattern_num = 1;
	mp_m470_mp_F069_BDC_IRQ_vector.pattern[0] = pattern_0;
	mp_m470_mp_F069_BDC_IRQ_vector.pattern_offset[0] = 0;
	IPRINTF("\n\n\n\n>>>>>enter function mp_m470_mp_F069_BDC_IRQ <<<<<\n");
	err = cmd_read_configtxt(&mp_m470_mp_F069_BDC_IRQ_vector);
	return err;

}

#endif

