#include <qc_verify_common.h>

int QC_Verifier_Standby(void)
{
  //disable wdtdog
rtd_outl(0xb8060030,0x00000003);
rtd_outl(0xb8060040,0x00000003);
rtd_outl(0xb8062204,0x000000a5);

  printk("O\n");
  rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
 
  for(int j=0; j < 60; j++)
        rtd_inl(0xb801b100);   // clear uart FIFO
        
  while(!rtd_inl(0xb801b100));
  
  for(int j=0; j < 60; j++)
    rtd_inl(0xb801b100);   // clear uart FIFO
    
  while(!rtd_inl(0xb801b100));
  
  for(int j=0; j < 60; j++)
        rtd_inl(0xb801b100);   // clear uart FIFO
        
  while(!rtd_inl(0xb801b100));
  
  printk("A\n");
//PWM TOGGLE
//clken:0
rtd_outl(0xb8000118,0x00000200);//clken_pwm
rtd_outl(0xb8060040,0x00000208);//iso clken_pwm[3] &iso_misc[9]:write data clear
//RSTN:0
rtd_outl(0xb8000108,0x00000200);//rstn_pwm
rtd_outl(0xb8060030,0x00000208);//iso rstn_pwm[3] &iso_misc[9]:write data clear
//clken:1
rtd_outl(0xb8000118,0x00000201);//clken_pwm
rtd_outl(0xb8060040,0x00000209);//iso clken_pwm[3] &iso_misc[9]:write data set
//clken:0
rtd_outl(0xb8000118,0x00000200);//clken_pwm
rtd_outl(0xb8060040,0x00000208);//iso clken_pwm[3] &iso_misc[9]:write data clear
//RSTN:1
rtd_outl(0xb8000108,0x00000201);//rstn_pwm
rtd_outl(0xb8060030,0x00000209);//iso rstn_pwm[3] &iso_misc[9]:write data set
//clken:1
rtd_outl(0xb8000118,0x00000201);//clken_pwm
rtd_outl(0xb8060040,0x00000209);//iso clken_pwm[3] &iso_misc[9]:write data set

rtd_outl(0xb80004e4,0x00000009);//CRT Spec; For PLL clock can process.

//iso part pinshare
rtd_outl(0xb8060208,0xd0f0f0f0);//iso_misc_PWM0(st_gpio_08)
rtd_outl(0xb8060204,0xf0f0f020);//iso_misc_PWM1(st_gpio_07)

rtd_outl(0xb8060200,0xd0b0b0d0);//iso_misc_gpio0~3
//rtd_outl(0xb8060204,0xd0d0d020);//iso_misc_gpio4~7
//rtd_outl(0xb8060208,0xd0d0f0d0);//iso_misc_gpio8 9 11
rtd_outl(0xb806020c,0x50d0f0d0);//iso_misc_gpio13 15
rtd_outl(0xb8060210,0xf0d0f0d0);//iso_misc_gpio17 19

                                   
//ISO_PWM_NUM:0  :10 : iso gpio 1 3 5 7 9 11 13 15 17 19                                                                             
//Frequency:400000Hz;  Duty:50 %                            
rtd_outl(0xb806128c,0x00b8016f);                              
rtd_outl(0xb8061288,0xa0000000);                              
rtd_outl(0xb8061284,0x60000000);                        
                                                                                                                                            
//ISO_PWM_NUM:1   :4: iso gpio 0 2 4 6 8
//Frequency:29.4MHz;  Duty:60 %                            
rtd_outl(0xb8061298,0x00030004);                              
rtd_outl(0xb8061294,0xa0000000);                              
rtd_outl(0xb8061290,0x60000000);                               
//printk("B\n");

	//run_command("go v", 0);


//thermal sensor
//modify default setting
//modify default setting
rtd_outl(0xb8000380,0x080A0000);//reg_a=29'h080A0000
rtd_outl(0xb8000384,0xDCC80091);//reg_b=22'h373200,tm_adccksel=1,CHOPEN=1
rtd_outl(0xb800038C,0x00000010);//REG_HOLD_DLY<1:0>  2b01

rtd_outl(0xb8000388,0x00000020);//tm_pow=1
rtd_outl(0xb8000390,0x00001000);//tm_rstb=0
rtd_outl(0xb8000390,0x80001000);//tm_rstb=1

rtd_outl(0xb8000108,0x10000001);//release thermal rst
rtd_outl(0xb8000118,0x10000001);//enable thermal clk

printk("D\n");

run_command("go v", 0);

rtd_outl(0xb8060430,0x00000000); // set sys_prog_en = 0
rtd_outl(0xb8060034,0x00000201); // bit9 : RSTN_EMCU_CORE = 1
rtd_outl(0xb8060044,0x00000201); // bit9 : CLKEN_EMCU_CORE = 1

int Tmin,Tmax,Tcur;
  Tmin=Tmax=Tcur=0;
	
	while(1)
	{
	 rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
	//digital divider
	//printk("S\n");
	rtd_outl(0x18060168,0);//clear 0x18060168=0
		mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	
	rtd_outl(0x1805b008,0x14980804);//low speed mode,oc_step=0x80,OC_EN=0,vref_sel=0(follow core)
	rtd_outl(0xb805b004,0x05ED2503);//1100
	rtd_outl(0x1805b008,0x14980805);//low speed mode,oc_step=0x80,OC_EN=1,vref_sel=0(follow core)
	mdelay(0x100);
	rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
	printk("SCPUPLL=1100MH,SCPU=1100MHz\n");
	//rtd_outl(0xb805b044,0x00000010);//0x10:original-freq*16/32
	//rtd_outl(0xb805b048,0x00000001);//clk ratio activate
	//printk("0xb805b048=%X\n",rtd_inl(0xb805b048));
	//while(rtd_inl(0xb805b048));
	//printk("O\n");
	//digital divider
	//rtd_outl(0xb805b044,0x00000000);//0:original-freq
	//rtd_outl(0xb805b048,0x00000001);//clk ratio activate
	//while(rtd_inl(0xb805b048));

	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	mdelay(0x100);
	rtd_outl(0x1805b008,0x14980804);//low speed mode,oc_step=0x80,OC_EN=0,vref_sel=0(follow core)
	rtd_outl(0xb805b004,0x07681603);//700
	rtd_outl(0x1805b008,0x14980805);//low speed mode,oc_step=0x80,OC_EN=1,vref_sel=0(follow core)
	//mdelay(0x20);
	rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
	printk("SCPUPLL=700MH,SCPU=700MHz\n");
	//printk("0x18060168=%X\n", rtd_inl(0x18060168));
	
	//mdelay(0x100);
	rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
	
	if(rtd_inl(0xb8060168) != 0xa5a5a5a5)
	  {
	    printk("VCPU fail!!,0x18060168=%X\n", rtd_inl(0xb8060168));
	      break;
	      while(1);
	    }
	  
	mdelay(500);
	Tcur=((rtd_inl(0xb80003a0)& 0x0003FFFF)/1024);
	//printk("Tcur=%d,\n",Tcur);
	
	if(Tmin>Tcur)
	  Tmin=Tcur;
	
	if(Tmax<Tcur)
	  Tmax=Tcur;  
	rtd_outl(0x18060204,0x50506060); //uart0/uart1 pin mux tx/rx
	printk("Tcur=%d,Tmax=%d,Tmin=%d,\n",Tcur,Tmax,Tmin);  
	    
	
	}
	
	
	return FAILED;
} 
