/**
* @file Mac7p-DesignSpec-pad_lvdsphy_regif
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_PINMUX_LVDSPHY_REG_H_
#define _RBUS_PINMUX_LVDSPHY_REG_H_

#include "rbusTypes.h"



//  PINMUX_LVDSPHY Register Address



#define  PINMUX_LVDSPHY_PIF_0_VADDR                         	(0xb8000ca0)
#define  PINMUX_LVDSPHY_PIF_1_VADDR                         	(0xb8000ca4)
#define  PINMUX_LVDSPHY_PIF_2_VADDR                         	(0xb8000ca8)
#define  PINMUX_LVDSPHY_PIF_3_VADDR                         	(0xb8000cac)
#define  PINMUX_LVDSPHY_PIF_4_VADDR                         	(0xb8000cb0)
#define  PINMUX_LVDSPHY_PIF_5_VADDR                         	(0xb8000cb4)
#define  PINMUX_LVDSPHY_PIF_6_VADDR                         	(0xb8000cb8)
#define  PINMUX_LVDSPHY_PIN_MUX_LVDS_VADDR                  	(0xb8000cbc)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_0_VADDR      	(0xb8000c00)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_2_VADDR      	(0xb8000c08)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_1_VADDR      	(0xb8000c04)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_3_VADDR      	(0xb8000c0c)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_4_VADDR      	(0xb8000c18)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_18_VADDR     	(0xb8000c50)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_27_VADDR     	(0xb8000c74)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_2_3_VADDR      	(0xb8000c20)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_3_2_VADDR      	(0xb8000c10)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_2_4_VADDR      	(0xb8000c14)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_2_5_VADDR      	(0xb8000c78)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_0_VADDR      	(0xb8000d00)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_4_VADDR      	(0xb8000d10)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_8_VADDR      	(0xb8000d20)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_12_VADDR     	(0xb8000d30)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_16_VADDR     	(0xb8000d40)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_20_VADDR     	(0xb8000d50)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_24_VADDR     	(0xb8000d60)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_28_VADDR     	(0xb8000d70)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_32_VADDR     	(0xb8000d80)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_36_VADDR     	(0xb8000d90)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_40_VADDR     	(0xb8000da0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_44_VADDR     	(0xb8000db0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_48_VADDR     	(0xb8000dc0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_52_VADDR     	(0xb8000dd0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_56_VADDR     	(0xb8000de0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_60_VADDR     	(0xb8000df0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_64_VADDR     	(0xb8000e00)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_68_VADDR     	(0xb8000e10)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_72_VADDR     	(0xb8000e20)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_76_VADDR     	(0xb8000e30)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_80_VADDR     	(0xb8000e40)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_84_VADDR     	(0xb8000e50)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_88_VADDR     	(0xb8000e60)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_92_VADDR     	(0xb8000e70)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_96_VADDR     	(0xb8000e80)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_100_VADDR    	(0xb8000e90)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_104_VADDR    	(0xb8000ea0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_108_VADDR    	(0xb8000eb0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_1_VADDR      	(0xb8000d04)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_5_VADDR      	(0xb8000d14)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_9_VADDR      	(0xb8000d24)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_13_VADDR     	(0xb8000d34)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_17_VADDR     	(0xb8000d44)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_21_VADDR     	(0xb8000d54)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_25_VADDR     	(0xb8000d64)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_29_VADDR     	(0xb8000d74)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_33_VADDR     	(0xb8000d84)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_37_VADDR     	(0xb8000d94)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_41_VADDR     	(0xb8000da4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_45_VADDR     	(0xb8000db4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_49_VADDR     	(0xb8000dc4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_53_VADDR     	(0xb8000dd4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_57_VADDR     	(0xb8000de4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_61_VADDR     	(0xb8000df4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_65_VADDR     	(0xb8000e04)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_69_VADDR     	(0xb8000e14)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_73_VADDR     	(0xb8000e24)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_77_VADDR     	(0xb8000e34)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_81_VADDR     	(0xb8000e44)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_85_VADDR     	(0xb8000e54)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_89_VADDR     	(0xb8000e64)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_93_VADDR     	(0xb8000e74)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_97_VADDR     	(0xb8000e84)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_101_VADDR    	(0xb8000e94)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_105_VADDR    	(0xb8000ea4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_109_VADDR    	(0xb8000eb4)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_0_28_VADDR     	(0xb8000cc0)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_34_VADDR     	(0xb8000d08)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_38_VADDR     	(0xb8000d18)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_42_VADDR     	(0xb8000d28)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_46_VADDR     	(0xb8000d38)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_50_VADDR     	(0xb8000d48)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_54_VADDR     	(0xb8000d58)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_58_VADDR     	(0xb8000d68)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_62_VADDR     	(0xb8000d78)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_66_VADDR     	(0xb8000d88)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_70_VADDR     	(0xb8000d98)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_74_VADDR     	(0xb8000da8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_78_VADDR     	(0xb8000db8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_82_VADDR     	(0xb8000dc8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_86_VADDR     	(0xb8000dd8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_90_VADDR     	(0xb8000de8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_94_VADDR     	(0xb8000df8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_98_VADDR     	(0xb8000e08)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_102_VADDR    	(0xb8000e18)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_106_VADDR    	(0xb8000e28)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_110_VADDR    	(0xb8000e38)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_114_VADDR    	(0xb8000e48)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_118_VADDR    	(0xb8000e58)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_122_VADDR    	(0xb8000e68)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_126_VADDR    	(0xb8000e78)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_130_VADDR    	(0xb8000e88)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_134_VADDR    	(0xb8000e98)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_138_VADDR    	(0xb8000ea8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_142_VADDR    	(0xb8000eb8)
#define  PINMUX_LVDSPHY_LVDSEPIVBY1_PHY_CTRL_1_95_VADDR     	(0xb8000dfc)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======PINMUX_LVDSPHY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx27p_ps:4;
        RBus_UInt32  pif_tx27n_ps:4;
        RBus_UInt32  pif_tx26p_ps:4;
        RBus_UInt32  pif_tx26n_ps:4;
        RBus_UInt32  pif_tx25p_ps:4;
        RBus_UInt32  pif_tx25n_ps:4;
        RBus_UInt32  pif_tx24p_ps:4;
        RBus_UInt32  pif_tx24n_ps:4;
    };
}pinmux_lvdsphy_pif_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx23p_ps:4;
        RBus_UInt32  pif_tx23n_ps:4;
        RBus_UInt32  pif_tx22p_ps:4;
        RBus_UInt32  pif_tx22n_ps:4;
        RBus_UInt32  pif_tx21p_ps:4;
        RBus_UInt32  pif_tx21n_ps:4;
        RBus_UInt32  pif_tx20p_ps:4;
        RBus_UInt32  pif_tx20n_ps:4;
    };
}pinmux_lvdsphy_pif_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx19p_ps:4;
        RBus_UInt32  pif_tx19n_ps:4;
        RBus_UInt32  pif_tx18p_ps:4;
        RBus_UInt32  pif_tx18n_ps:4;
        RBus_UInt32  pif_tx17p_ps:4;
        RBus_UInt32  pif_tx17n_ps:4;
        RBus_UInt32  pif_tx16p_ps:4;
        RBus_UInt32  pif_tx16n_ps:4;
    };
}pinmux_lvdsphy_pif_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx15p_ps:4;
        RBus_UInt32  pif_tx15n_ps:4;
        RBus_UInt32  pif_tx14p_ps:4;
        RBus_UInt32  pif_tx14n_ps:4;
        RBus_UInt32  pif_tx13p_ps:4;
        RBus_UInt32  pif_tx13n_ps:4;
        RBus_UInt32  pif_tx12p_ps:4;
        RBus_UInt32  pif_tx12n_ps:4;
    };
}pinmux_lvdsphy_pif_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx11p_ps:4;
        RBus_UInt32  pif_tx11n_ps:4;
        RBus_UInt32  pif_tx10p_ps:4;
        RBus_UInt32  pif_tx10n_ps:4;
        RBus_UInt32  pif_tx9p_ps:4;
        RBus_UInt32  pif_tx9n_ps:4;
        RBus_UInt32  pif_tx8p_ps:4;
        RBus_UInt32  pif_tx8n_ps:4;
    };
}pinmux_lvdsphy_pif_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx7p_ps:4;
        RBus_UInt32  pif_tx7n_ps:4;
        RBus_UInt32  pif_tx6p_ps:4;
        RBus_UInt32  pif_tx6n_ps:4;
        RBus_UInt32  pif_tx5p_ps:4;
        RBus_UInt32  pif_tx5n_ps:4;
        RBus_UInt32  pif_tx4p_ps:4;
        RBus_UInt32  pif_tx4n_ps:4;
    };
}pinmux_lvdsphy_pif_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx3p_ps:4;
        RBus_UInt32  pif_tx3n_ps:4;
        RBus_UInt32  pif_tx2p_ps:4;
        RBus_UInt32  pif_tx2n_ps:4;
        RBus_UInt32  pif_tx1p_ps:4;
        RBus_UInt32  pif_tx1n_ps:4;
        RBus_UInt32  pif_tx0p_ps:4;
        RBus_UInt32  pif_tx0n_ps:4;
    };
}pinmux_lvdsphy_pif_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  vby1_osd_htpd_sel:2;
        RBus_UInt32  vby1_osd_lock_sel:2;
        RBus_UInt32  isp_sdlock_sel:2;
        RBus_UInt32  boe_bcc_in_sel:2;
        RBus_UInt32  vby1_htpd_sel:2;
        RBus_UInt32  vby1_lock_sel:2;
        RBus_UInt32  epi_lock_sel:2;
    };
}pinmux_lvdsphy_pin_mux_lvds_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_a1_pi_phsel:12;
        RBus_UInt32  pif_a2_pi_phsel:12;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_a_pi_freq:2;
        RBus_UInt32  pif_a1_sel_2xi:1;
        RBus_UInt32  pif_a2_sel_2xi:1;
        RBus_UInt32  pif_sbg:2;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_ab_pi_phsel:12;
        RBus_UInt32  pif_ab_freq:2;
        RBus_UInt32  pif_ab_sel_2xi:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  pif_h_cmu_sel_lv_vldo:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_h_cmu_bw_set:2;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_b1_pi_phsel:12;
        RBus_UInt32  pif_b2_pi_phsel:12;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_b_pi_freq:2;
        RBus_UInt32  pif_b1_sel_2xi:1;
        RBus_UInt32  pif_b2_sel_2xi:1;
        RBus_UInt32  res2:2;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_cmu_big_kvco:1;
        RBus_UInt32  pif_cmu_ckpixel_inv:1;
        RBus_UInt32  pif_cmu_ck_ref_inv:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  cmu_bpsdivm:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_cmu_sel_cp_i:3;
        RBus_UInt32  pif_cmu_sel_sc1:3;
        RBus_UInt32  pif_cmu_sel_sc2:2;
        RBus_UInt32  pif_cmu_sel_sr:3;
        RBus_UInt32  pif_cmu_sel_vldo:2;
        RBus_UInt32  pif_cmu_a_pi_bypass:1;
        RBus_UInt32  pif_cmu_b_pi_bypass:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_cmu_wdrst:1;
        RBus_UInt32  pif_cmu_wdset:1;
        RBus_UInt32  cmu_wdo:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  pif_h_cmu_macpll_divm:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_h_cmu_mode:3;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pif_sel_tx_i:4;
        RBus_UInt32  pif_sel_vcm:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_en_lv_ldo:1;
        RBus_UInt32  pif_en_txl_ldo:1;
        RBus_UInt32  res3:13;
        RBus_UInt32  pif_boe_vcmsel:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pow_pif:1;
        RBus_UInt32  res1:31;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lvds_dummy:16;
        RBus_UInt32  res1:5;
        RBus_UInt32  pif_h_cmu_rstb:1;
        RBus_UInt32  pif_h_cmu_pow:1;
        RBus_UInt32  res2:9;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_h_cmu_test_en:1;
        RBus_UInt32  pif_h_cmu_lvdscmpi_divm:6;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_h_cmu_macpll_cko_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_h_cmu_ck20xp_inv:1;
        RBus_UInt32  pif_h_cmu_ck1xp_inv:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_h_cmu_tst_div:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_h_cmu_prescalerdiv_ls:3;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_h_cmu_prescalerdiv_hs:2;
        RBus_UInt32  res6:5;
        RBus_UInt32  pif_h_cmu_epi_div_sel:3;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_3_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pif_h_cmu_dummy:10;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  txpll_ckin_div_n:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  txpll_prediv_bypass:1;
        RBus_UInt32  res3:5;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx0n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx0p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx0_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx0_ckphs:1;
        RBus_UInt32  pif_tx0_sr:1;
        RBus_UInt32  pif_tx0_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx0_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx1n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx1p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx1_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx1_ckphs:1;
        RBus_UInt32  pif_tx1_sr:1;
        RBus_UInt32  pif_tx1_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx1_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx2n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx2p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx2_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx2_ckphs:1;
        RBus_UInt32  pif_tx2_sr:1;
        RBus_UInt32  pif_tx2_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx2_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx3n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx3p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx3_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx3_ckphs:1;
        RBus_UInt32  pif_tx3_sr:1;
        RBus_UInt32  pif_tx3_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx3_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx4n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx4p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx4_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx4_ckphs:1;
        RBus_UInt32  pif_tx4_sr:1;
        RBus_UInt32  pif_tx4_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx4_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx5n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx5p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx5_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx5_ckphs:1;
        RBus_UInt32  pif_tx5_sr:1;
        RBus_UInt32  pif_tx5_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx5_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx6n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx6p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx6_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx6_ckphs:1;
        RBus_UInt32  pif_tx6_sr:1;
        RBus_UInt32  pif_tx6_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx6_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx7n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx7p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx7_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx7_ckphs:1;
        RBus_UInt32  pif_tx7_sr:1;
        RBus_UInt32  pif_tx7_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx7_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx8n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx8p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx8_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx8_ckphs:1;
        RBus_UInt32  pif_tx8_sr:1;
        RBus_UInt32  pif_tx8_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx8_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx9n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx9p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx9_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx9_ckphs:1;
        RBus_UInt32  pif_tx9_sr:1;
        RBus_UInt32  pif_tx9_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx9_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx10n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx10p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx10_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx10_ckphs:1;
        RBus_UInt32  pif_tx10_sr:1;
        RBus_UInt32  pif_tx10_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx10_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx11n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx11p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx11_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx11_ckphs:1;
        RBus_UInt32  pif_tx11_sr:1;
        RBus_UInt32  pif_tx11_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx11_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx12n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx12p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx12_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx12_ckphs:1;
        RBus_UInt32  pif_tx12_sr:1;
        RBus_UInt32  pif_tx12_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx12_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx13n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx13p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx13_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx13_ckphs:1;
        RBus_UInt32  pif_tx13_sr:1;
        RBus_UInt32  pif_tx13_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx13_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_52_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx14n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx14p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx14_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx14_ckphs:1;
        RBus_UInt32  pif_tx14_sr:1;
        RBus_UInt32  pif_tx14_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx14_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_56_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx15n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx15p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx15_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx15_ckphs:1;
        RBus_UInt32  pif_tx15_sr:1;
        RBus_UInt32  pif_tx15_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx15_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx16n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx16p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx16_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx16_ckphs:1;
        RBus_UInt32  pif_tx16_sr:1;
        RBus_UInt32  pif_tx16_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx16_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx17n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx17p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx17_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx17_ckphs:1;
        RBus_UInt32  pif_tx17_sr:1;
        RBus_UInt32  pif_tx17_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx17_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx18n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx18p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx18_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx18_ckphs:1;
        RBus_UInt32  pif_tx18_sr:1;
        RBus_UInt32  pif_tx18_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx18_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_72_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx19n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx19p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx19_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx19_ckphs:1;
        RBus_UInt32  pif_tx19_sr:1;
        RBus_UInt32  pif_tx19_term:4;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx19_idrv_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_76_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx20n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx20p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx20_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx20_ckphs:1;
        RBus_UInt32  pif_tx20_sr:1;
        RBus_UInt32  pif_tx20_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx20_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx21n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx21p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx21_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx21_ckphs:1;
        RBus_UInt32  pif_tx21_sr:1;
        RBus_UInt32  pif_tx21_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx21_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx22n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx22p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx22_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx22_ckphs:1;
        RBus_UInt32  pif_tx22_sr:1;
        RBus_UInt32  pif_tx22_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx22_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx23n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx23p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx23_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx23_ckphs:1;
        RBus_UInt32  pif_tx23_sr:1;
        RBus_UInt32  pif_tx23_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx23_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_92_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx24n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx24p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx24_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx24_ckphs:1;
        RBus_UInt32  pif_tx24_sr:1;
        RBus_UInt32  pif_tx24_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx24_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_96_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx25n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx25p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx25_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx25_ckphs:1;
        RBus_UInt32  pif_tx25_sr:1;
        RBus_UInt32  pif_tx25_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx25_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx26n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx26p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx26_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx26_ckphs:1;
        RBus_UInt32  pif_tx26_sr:1;
        RBus_UInt32  pif_tx26_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx26_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx27n_mode:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx27p_mode:3;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx27_vcmsel:1;
        RBus_UInt32  res4:6;
        RBus_UInt32  pif_tx27_ckphs:1;
        RBus_UInt32  pif_tx27_sr:1;
        RBus_UInt32  pif_tx27_term:4;
        RBus_UInt32  res5:4;
        RBus_UInt32  pif_tx27_idrv_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0_ck7x_lag:1;
        RBus_UInt32  pif_tx0_emph:1;
        RBus_UInt32  pif_tx0_env2i:1;
        RBus_UInt32  pif_tx0_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx0_rten:1;
        RBus_UInt32  pif_tx0_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx0_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx0_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx0_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx1_ck7x_lag:1;
        RBus_UInt32  pif_tx1_emph:1;
        RBus_UInt32  pif_tx1_env2i:1;
        RBus_UInt32  pif_tx1_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx1_rten:1;
        RBus_UInt32  pif_tx1_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx1_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx1_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx1_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx2_ck7x_lag:1;
        RBus_UInt32  pif_tx2_emph:1;
        RBus_UInt32  pif_tx2_env2i:1;
        RBus_UInt32  pif_tx2_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx2_rten:1;
        RBus_UInt32  pif_tx2_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx2_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx2_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx2_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx3_ck7x_lag:1;
        RBus_UInt32  pif_tx3_emph:1;
        RBus_UInt32  pif_tx3_env2i:1;
        RBus_UInt32  pif_tx3_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx3_rten:1;
        RBus_UInt32  pif_tx3_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx3_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx3_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx3_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx4_ck7x_lag:1;
        RBus_UInt32  pif_tx4_emph:1;
        RBus_UInt32  pif_tx4_env2i:1;
        RBus_UInt32  pif_tx4_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx4_rten:1;
        RBus_UInt32  pif_tx4_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx4_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx4_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx4_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx5_ck7x_lag:1;
        RBus_UInt32  pif_tx5_emph:1;
        RBus_UInt32  pif_tx5_env2i:1;
        RBus_UInt32  pif_tx5_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx5_rten:1;
        RBus_UInt32  pif_tx5_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx5_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx5_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx5_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx6_ck7x_lag:1;
        RBus_UInt32  pif_tx6_emph:1;
        RBus_UInt32  pif_tx6_env2i:1;
        RBus_UInt32  pif_tx6_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx6_rten:1;
        RBus_UInt32  pif_tx6_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx6_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx6_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx6_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx7_ck7x_lag:1;
        RBus_UInt32  pif_tx7_emph:1;
        RBus_UInt32  pif_tx7_env2i:1;
        RBus_UInt32  pif_tx7_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx7_rten:1;
        RBus_UInt32  pif_tx7_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx7_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx7_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx7_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx8_ck7x_lag:1;
        RBus_UInt32  pif_tx8_emph:1;
        RBus_UInt32  pif_tx8_env2i:1;
        RBus_UInt32  pif_tx8_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx8_rten:1;
        RBus_UInt32  pif_tx8_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx8_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx8_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx8_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx8_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx9_ck7x_lag:1;
        RBus_UInt32  pif_tx9_emph:1;
        RBus_UInt32  pif_tx9_env2i:1;
        RBus_UInt32  pif_tx9_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx9_rten:1;
        RBus_UInt32  pif_tx9_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx9_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx9_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx9_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx9_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_37_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx10_ck7x_lag:1;
        RBus_UInt32  pif_tx10_emph:1;
        RBus_UInt32  pif_tx10_env2i:1;
        RBus_UInt32  pif_tx10_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx10_rten:1;
        RBus_UInt32  pif_tx10_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx10_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx10_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx10_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx10_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_41_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx11_ck7x_lag:1;
        RBus_UInt32  pif_tx11_emph:1;
        RBus_UInt32  pif_tx11_env2i:1;
        RBus_UInt32  pif_tx11_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx11_rten:1;
        RBus_UInt32  pif_tx11_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx11_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx11_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx11_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx11_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx12_ck7x_lag:1;
        RBus_UInt32  pif_tx12_emph:1;
        RBus_UInt32  pif_tx12_env2i:1;
        RBus_UInt32  pif_tx12_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx12_rten:1;
        RBus_UInt32  pif_tx12_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx12_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx12_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx12_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx12_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_49_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx13_ck7x_lag:1;
        RBus_UInt32  pif_tx13_emph:1;
        RBus_UInt32  pif_tx14_env2i:1;
        RBus_UInt32  pif_tx13_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx13_rten:1;
        RBus_UInt32  pif_tx13_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx13_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx13_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx13_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx13_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_53_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx14_ck7x_lag:1;
        RBus_UInt32  pif_tx14_emph:1;
        RBus_UInt32  pif_tx13_env2i:1;
        RBus_UInt32  pif_tx14_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx14_rten:1;
        RBus_UInt32  pif_tx14_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx14_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx14_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx14_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx14_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_57_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx15_ck7x_lag:1;
        RBus_UInt32  pif_tx15_emph:1;
        RBus_UInt32  pif_tx15_env2i:1;
        RBus_UInt32  pif_tx15_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx15_rten:1;
        RBus_UInt32  pif_tx15_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx15_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx15_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx15_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx15_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_61_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx16_ck7x_lag:1;
        RBus_UInt32  pif_tx16_emph:1;
        RBus_UInt32  pif_tx16_env2i:1;
        RBus_UInt32  pif_tx16_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx16_rten:1;
        RBus_UInt32  pif_tx16_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx16_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx16_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx16_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx16_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_65_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx17_ck7x_lag:1;
        RBus_UInt32  pif_tx17_emph:1;
        RBus_UInt32  pif_tx17_env2i:1;
        RBus_UInt32  pif_tx17_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx17_rten:1;
        RBus_UInt32  pif_tx17_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx17_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx17_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx17_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx17_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_69_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx18_ck7x_lag:1;
        RBus_UInt32  pif_tx18_emph:1;
        RBus_UInt32  pif_tx18_env2i:1;
        RBus_UInt32  pif_tx18_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx18_rten:1;
        RBus_UInt32  pif_tx18_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx18_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx18_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx18_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx18_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_73_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx19_ck7x_lag:1;
        RBus_UInt32  pif_tx19_emph:1;
        RBus_UInt32  pif_tx19_env2i:1;
        RBus_UInt32  pif_tx19_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx19_rten:1;
        RBus_UInt32  pif_tx19_testen:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_tx19_ndrv:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx19_rp:2;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx19_sel_test:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  pif_tx19_iem_sel:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_77_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx20_ck7x_lag:1;
        RBus_UInt32  pif_tx20_emph:1;
        RBus_UInt32  pif_tx20_env2i:1;
        RBus_UInt32  pif_tx20_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx20_rten:1;
        RBus_UInt32  pif_tx20_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx20_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx20_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx20_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_81_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx21_ck7x_lag:1;
        RBus_UInt32  pif_tx21_emph:1;
        RBus_UInt32  pif_tx21_env2i:1;
        RBus_UInt32  pif_tx21_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx21_rten:1;
        RBus_UInt32  pif_tx21_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx21_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx21_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx21_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_85_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx22_ck7x_lag:1;
        RBus_UInt32  pif_tx22_emph:1;
        RBus_UInt32  pif_tx22_env2i:1;
        RBus_UInt32  pif_tx22_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx22_rten:1;
        RBus_UInt32  pif_tx22_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx22_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx22_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx22_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_89_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx23_ck7x_lag:1;
        RBus_UInt32  pif_tx23_emph:1;
        RBus_UInt32  pif_tx23_env2i:1;
        RBus_UInt32  pif_tx23_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx23_rten:1;
        RBus_UInt32  pif_tx23_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx23_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx23_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx23_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_93_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx24_ck7x_lag:1;
        RBus_UInt32  pif_tx24_emph:1;
        RBus_UInt32  pif_tx24_env2i:1;
        RBus_UInt32  pif_tx24_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx24_rten:1;
        RBus_UInt32  pif_tx24_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx24_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx24_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx24_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_97_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx25_ck7x_lag:1;
        RBus_UInt32  pif_tx25_emph:1;
        RBus_UInt32  pif_tx25_env2i:1;
        RBus_UInt32  pif_tx25_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx25_rten:1;
        RBus_UInt32  pif_tx25_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx25_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx25_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx25_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_101_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx26_ck7x_lag:1;
        RBus_UInt32  pif_tx26_emph:1;
        RBus_UInt32  pif_tx26_env2i:1;
        RBus_UInt32  pif_tx26_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx26_rten:1;
        RBus_UInt32  pif_tx26_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx26_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx26_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx26_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_105_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx27_ck7x_lag:1;
        RBus_UInt32  pif_tx27_emph:1;
        RBus_UInt32  pif_tx27_env2i:1;
        RBus_UInt32  pif_tx27_epicml:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_tx27_rten:1;
        RBus_UInt32  pif_tx27_testen:1;
        RBus_UInt32  res2:15;
        RBus_UInt32  pif_tx27_sel_test:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_tx27_ttl_str:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  pif_tx27_iem_sel:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_109_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx27_pow:1;
        RBus_UInt32  pif_tx26_pow:1;
        RBus_UInt32  pif_tx25_pow:1;
        RBus_UInt32  pif_tx24_pow:1;
        RBus_UInt32  pif_tx23_pow:1;
        RBus_UInt32  pif_tx22_pow:1;
        RBus_UInt32  pif_tx21_pow:1;
        RBus_UInt32  pif_tx20_pow:1;
        RBus_UInt32  pif_tx19_pow:1;
        RBus_UInt32  pif_tx18_pow:1;
        RBus_UInt32  pif_tx17_pow:1;
        RBus_UInt32  pif_tx16_pow:1;
        RBus_UInt32  pif_tx15_pow:1;
        RBus_UInt32  pif_tx14_pow:1;
        RBus_UInt32  pif_tx13_pow:1;
        RBus_UInt32  pif_tx12_pow:1;
        RBus_UInt32  pif_tx11_pow:1;
        RBus_UInt32  pif_tx10_pow:1;
        RBus_UInt32  pif_tx9_pow:1;
        RBus_UInt32  pif_tx8_pow:1;
        RBus_UInt32  pif_tx7_pow:1;
        RBus_UInt32  pif_tx6_pow:1;
        RBus_UInt32  pif_tx5_pow:1;
        RBus_UInt32  pif_tx4_pow:1;
        RBus_UInt32  pif_tx3_pow:1;
        RBus_UInt32  pif_tx2_pow:1;
        RBus_UInt32  pif_tx1_pow:1;
        RBus_UInt32  pif_tx0_pow:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx0_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx1_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx2_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_42_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx3_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_46_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx4_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx5_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx6_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx7_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_62_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx8_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_66_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx9_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx10_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx11_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx12_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_82_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx13_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_86_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx14_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx15_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx16_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx17_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_102_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx18_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_106_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  pif_tx19_dummy:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx20_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx21_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx22_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_122_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx23_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_126_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx24_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx25_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx26_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pif_tx27_dummy:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_142_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  plt_vterm_ready:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_95_RBUS;

#else //apply LITTLE_ENDIAN

//======PINMUX_LVDSPHY register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx24n_ps:4;
        RBus_UInt32  pif_tx24p_ps:4;
        RBus_UInt32  pif_tx25n_ps:4;
        RBus_UInt32  pif_tx25p_ps:4;
        RBus_UInt32  pif_tx26n_ps:4;
        RBus_UInt32  pif_tx26p_ps:4;
        RBus_UInt32  pif_tx27n_ps:4;
        RBus_UInt32  pif_tx27p_ps:4;
    };
}pinmux_lvdsphy_pif_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx20n_ps:4;
        RBus_UInt32  pif_tx20p_ps:4;
        RBus_UInt32  pif_tx21n_ps:4;
        RBus_UInt32  pif_tx21p_ps:4;
        RBus_UInt32  pif_tx22n_ps:4;
        RBus_UInt32  pif_tx22p_ps:4;
        RBus_UInt32  pif_tx23n_ps:4;
        RBus_UInt32  pif_tx23p_ps:4;
    };
}pinmux_lvdsphy_pif_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx16n_ps:4;
        RBus_UInt32  pif_tx16p_ps:4;
        RBus_UInt32  pif_tx17n_ps:4;
        RBus_UInt32  pif_tx17p_ps:4;
        RBus_UInt32  pif_tx18n_ps:4;
        RBus_UInt32  pif_tx18p_ps:4;
        RBus_UInt32  pif_tx19n_ps:4;
        RBus_UInt32  pif_tx19p_ps:4;
    };
}pinmux_lvdsphy_pif_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx12n_ps:4;
        RBus_UInt32  pif_tx12p_ps:4;
        RBus_UInt32  pif_tx13n_ps:4;
        RBus_UInt32  pif_tx13p_ps:4;
        RBus_UInt32  pif_tx14n_ps:4;
        RBus_UInt32  pif_tx14p_ps:4;
        RBus_UInt32  pif_tx15n_ps:4;
        RBus_UInt32  pif_tx15p_ps:4;
    };
}pinmux_lvdsphy_pif_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx8n_ps:4;
        RBus_UInt32  pif_tx8p_ps:4;
        RBus_UInt32  pif_tx9n_ps:4;
        RBus_UInt32  pif_tx9p_ps:4;
        RBus_UInt32  pif_tx10n_ps:4;
        RBus_UInt32  pif_tx10p_ps:4;
        RBus_UInt32  pif_tx11n_ps:4;
        RBus_UInt32  pif_tx11p_ps:4;
    };
}pinmux_lvdsphy_pif_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx4n_ps:4;
        RBus_UInt32  pif_tx4p_ps:4;
        RBus_UInt32  pif_tx5n_ps:4;
        RBus_UInt32  pif_tx5p_ps:4;
        RBus_UInt32  pif_tx6n_ps:4;
        RBus_UInt32  pif_tx6p_ps:4;
        RBus_UInt32  pif_tx7n_ps:4;
        RBus_UInt32  pif_tx7p_ps:4;
    };
}pinmux_lvdsphy_pif_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0n_ps:4;
        RBus_UInt32  pif_tx0p_ps:4;
        RBus_UInt32  pif_tx1n_ps:4;
        RBus_UInt32  pif_tx1p_ps:4;
        RBus_UInt32  pif_tx2n_ps:4;
        RBus_UInt32  pif_tx2p_ps:4;
        RBus_UInt32  pif_tx3n_ps:4;
        RBus_UInt32  pif_tx3p_ps:4;
    };
}pinmux_lvdsphy_pif_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  epi_lock_sel:2;
        RBus_UInt32  vby1_lock_sel:2;
        RBus_UInt32  vby1_htpd_sel:2;
        RBus_UInt32  boe_bcc_in_sel:2;
        RBus_UInt32  isp_sdlock_sel:2;
        RBus_UInt32  vby1_osd_lock_sel:2;
        RBus_UInt32  vby1_osd_htpd_sel:2;
        RBus_UInt32  res1:18;
    };
}pinmux_lvdsphy_pin_mux_lvds_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_sbg:2;
        RBus_UInt32  pif_a2_sel_2xi:1;
        RBus_UInt32  pif_a1_sel_2xi:1;
        RBus_UInt32  pif_a_pi_freq:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_a2_pi_phsel:12;
        RBus_UInt32  pif_a1_pi_phsel:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_h_cmu_bw_set:2;
        RBus_UInt32  res1:6;
        RBus_UInt32  pif_h_cmu_sel_lv_vldo:2;
        RBus_UInt32  res2:7;
        RBus_UInt32  pif_ab_sel_2xi:1;
        RBus_UInt32  pif_ab_freq:2;
        RBus_UInt32  pif_ab_pi_phsel:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_b2_sel_2xi:1;
        RBus_UInt32  pif_b1_sel_2xi:1;
        RBus_UInt32  pif_b_pi_freq:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_b2_pi_phsel:12;
        RBus_UInt32  pif_b1_pi_phsel:12;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cmu_wdo:1;
        RBus_UInt32  pif_cmu_wdset:1;
        RBus_UInt32  pif_cmu_wdrst:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_cmu_b_pi_bypass:1;
        RBus_UInt32  pif_cmu_a_pi_bypass:1;
        RBus_UInt32  pif_cmu_sel_vldo:2;
        RBus_UInt32  pif_cmu_sel_sr:3;
        RBus_UInt32  pif_cmu_sel_sc2:2;
        RBus_UInt32  pif_cmu_sel_sc1:3;
        RBus_UInt32  pif_cmu_sel_cp_i:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  cmu_bpsdivm:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  pif_cmu_ck_ref_inv:1;
        RBus_UInt32  pif_cmu_ckpixel_inv:1;
        RBus_UInt32  pif_cmu_big_kvco:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_h_cmu_mode:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  pif_h_cmu_macpll_divm:4;
        RBus_UInt32  res2:24;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_boe_vcmsel:1;
        RBus_UInt32  res1:13;
        RBus_UInt32  pif_en_txl_ldo:1;
        RBus_UInt32  pif_en_lv_ldo:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_sel_vcm:5;
        RBus_UInt32  pif_sel_tx_i:4;
        RBus_UInt32  res3:6;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  pow_pif:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  pif_h_cmu_pow:1;
        RBus_UInt32  pif_h_cmu_rstb:1;
        RBus_UInt32  res2:5;
        RBus_UInt32  lvds_dummy:16;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_h_cmu_epi_div_sel:3;
        RBus_UInt32  res1:5;
        RBus_UInt32  pif_h_cmu_prescalerdiv_hs:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_h_cmu_prescalerdiv_ls:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  pif_h_cmu_tst_div:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_h_cmu_ck1xp_inv:1;
        RBus_UInt32  pif_h_cmu_ck20xp_inv:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_h_cmu_macpll_cko_inv:1;
        RBus_UInt32  res6:1;
        RBus_UInt32  pif_h_cmu_lvdscmpi_divm:6;
        RBus_UInt32  pif_h_cmu_test_en:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_3_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_h_cmu_dummy:10;
        RBus_UInt32  res1:22;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  txpll_prediv_bypass:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  txpll_ckin_div_n:6;
        RBus_UInt32  res3:18;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_2_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx0_term:4;
        RBus_UInt32  pif_tx0_sr:1;
        RBus_UInt32  pif_tx0_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx0_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx0p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx0n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx1_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx1_term:4;
        RBus_UInt32  pif_tx1_sr:1;
        RBus_UInt32  pif_tx1_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx1_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx1p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx1n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx2_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx2_term:4;
        RBus_UInt32  pif_tx2_sr:1;
        RBus_UInt32  pif_tx2_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx2_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx2p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx2n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx3_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx3_term:4;
        RBus_UInt32  pif_tx3_sr:1;
        RBus_UInt32  pif_tx3_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx3_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx3p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx3n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx4_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx4_term:4;
        RBus_UInt32  pif_tx4_sr:1;
        RBus_UInt32  pif_tx4_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx4_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx4p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx4n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx5_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx5_term:4;
        RBus_UInt32  pif_tx5_sr:1;
        RBus_UInt32  pif_tx5_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx5_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx5p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx5n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx6_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx6_term:4;
        RBus_UInt32  pif_tx6_sr:1;
        RBus_UInt32  pif_tx6_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx6_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx6p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx6n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx7_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx7_term:4;
        RBus_UInt32  pif_tx7_sr:1;
        RBus_UInt32  pif_tx7_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx7_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx7p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx7n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx8_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx8_term:4;
        RBus_UInt32  pif_tx8_sr:1;
        RBus_UInt32  pif_tx8_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx8_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx8p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx8n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx9_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx9_term:4;
        RBus_UInt32  pif_tx9_sr:1;
        RBus_UInt32  pif_tx9_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx9_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx9p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx9n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx10_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx10_term:4;
        RBus_UInt32  pif_tx10_sr:1;
        RBus_UInt32  pif_tx10_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx10_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx10p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx10n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx11_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx11_term:4;
        RBus_UInt32  pif_tx11_sr:1;
        RBus_UInt32  pif_tx11_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx11_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx11p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx11n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx12_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx12_term:4;
        RBus_UInt32  pif_tx12_sr:1;
        RBus_UInt32  pif_tx12_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx12_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx12p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx12n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx13_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx13_term:4;
        RBus_UInt32  pif_tx13_sr:1;
        RBus_UInt32  pif_tx13_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx13_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx13p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx13n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_52_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx14_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx14_term:4;
        RBus_UInt32  pif_tx14_sr:1;
        RBus_UInt32  pif_tx14_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx14_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx14p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx14n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_56_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx15_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx15_term:4;
        RBus_UInt32  pif_tx15_sr:1;
        RBus_UInt32  pif_tx15_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx15_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx15p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx15n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx16_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx16_term:4;
        RBus_UInt32  pif_tx16_sr:1;
        RBus_UInt32  pif_tx16_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx16_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx16p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx16n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx17_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx17_term:4;
        RBus_UInt32  pif_tx17_sr:1;
        RBus_UInt32  pif_tx17_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx17_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx17p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx17n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx18_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx18_term:4;
        RBus_UInt32  pif_tx18_sr:1;
        RBus_UInt32  pif_tx18_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx18_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx18p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx18n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_72_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx19_idrv_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx19_term:4;
        RBus_UInt32  pif_tx19_sr:1;
        RBus_UInt32  pif_tx19_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx19_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx19p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx19n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_76_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx20_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx20_term:4;
        RBus_UInt32  pif_tx20_sr:1;
        RBus_UInt32  pif_tx20_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx20_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx20p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx20n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx21_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx21_term:4;
        RBus_UInt32  pif_tx21_sr:1;
        RBus_UInt32  pif_tx21_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx21_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx21p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx21n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx22_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx22_term:4;
        RBus_UInt32  pif_tx22_sr:1;
        RBus_UInt32  pif_tx22_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx22_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx22p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx22n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx23_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx23_term:4;
        RBus_UInt32  pif_tx23_sr:1;
        RBus_UInt32  pif_tx23_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx23_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx23p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx23n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_92_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx24_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx24_term:4;
        RBus_UInt32  pif_tx24_sr:1;
        RBus_UInt32  pif_tx24_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx24_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx24p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx24n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_96_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx25_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx25_term:4;
        RBus_UInt32  pif_tx25_sr:1;
        RBus_UInt32  pif_tx25_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx25_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx25p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx25n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx26_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx26_term:4;
        RBus_UInt32  pif_tx26_sr:1;
        RBus_UInt32  pif_tx26_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx26_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx26p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx26n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx27_idrv_sel:4;
        RBus_UInt32  res1:4;
        RBus_UInt32  pif_tx27_term:4;
        RBus_UInt32  pif_tx27_sr:1;
        RBus_UInt32  pif_tx27_ckphs:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  pif_tx27_vcmsel:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  pif_tx27p_mode:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx27n_mode:3;
        RBus_UInt32  res5:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx0_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx0_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx0_testen:1;
        RBus_UInt32  pif_tx0_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx0_epicml:1;
        RBus_UInt32  pif_tx0_env2i:1;
        RBus_UInt32  pif_tx0_emph:1;
        RBus_UInt32  pif_tx0_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx1_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx1_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx1_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx1_testen:1;
        RBus_UInt32  pif_tx1_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx1_epicml:1;
        RBus_UInt32  pif_tx1_env2i:1;
        RBus_UInt32  pif_tx1_emph:1;
        RBus_UInt32  pif_tx1_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx2_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx2_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx2_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx2_testen:1;
        RBus_UInt32  pif_tx2_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx2_epicml:1;
        RBus_UInt32  pif_tx2_env2i:1;
        RBus_UInt32  pif_tx2_emph:1;
        RBus_UInt32  pif_tx2_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx3_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx3_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx3_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx3_testen:1;
        RBus_UInt32  pif_tx3_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx3_epicml:1;
        RBus_UInt32  pif_tx3_env2i:1;
        RBus_UInt32  pif_tx3_emph:1;
        RBus_UInt32  pif_tx3_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx4_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx4_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx4_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx4_testen:1;
        RBus_UInt32  pif_tx4_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx4_epicml:1;
        RBus_UInt32  pif_tx4_env2i:1;
        RBus_UInt32  pif_tx4_emph:1;
        RBus_UInt32  pif_tx4_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx5_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx5_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx5_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx5_testen:1;
        RBus_UInt32  pif_tx5_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx5_epicml:1;
        RBus_UInt32  pif_tx5_env2i:1;
        RBus_UInt32  pif_tx5_emph:1;
        RBus_UInt32  pif_tx5_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx6_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx6_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx6_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx6_testen:1;
        RBus_UInt32  pif_tx6_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx6_epicml:1;
        RBus_UInt32  pif_tx6_env2i:1;
        RBus_UInt32  pif_tx6_emph:1;
        RBus_UInt32  pif_tx6_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx7_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx7_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx7_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx7_testen:1;
        RBus_UInt32  pif_tx7_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx7_epicml:1;
        RBus_UInt32  pif_tx7_env2i:1;
        RBus_UInt32  pif_tx7_emph:1;
        RBus_UInt32  pif_tx7_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx8_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx8_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx8_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx8_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx8_testen:1;
        RBus_UInt32  pif_tx8_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx8_epicml:1;
        RBus_UInt32  pif_tx8_env2i:1;
        RBus_UInt32  pif_tx8_emph:1;
        RBus_UInt32  pif_tx8_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx9_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx9_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx9_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx9_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx9_testen:1;
        RBus_UInt32  pif_tx9_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx9_epicml:1;
        RBus_UInt32  pif_tx9_env2i:1;
        RBus_UInt32  pif_tx9_emph:1;
        RBus_UInt32  pif_tx9_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_37_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx10_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx10_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx10_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx10_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx10_testen:1;
        RBus_UInt32  pif_tx10_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx10_epicml:1;
        RBus_UInt32  pif_tx10_env2i:1;
        RBus_UInt32  pif_tx10_emph:1;
        RBus_UInt32  pif_tx10_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_41_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx11_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx11_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx11_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx11_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx11_testen:1;
        RBus_UInt32  pif_tx11_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx11_epicml:1;
        RBus_UInt32  pif_tx11_env2i:1;
        RBus_UInt32  pif_tx11_emph:1;
        RBus_UInt32  pif_tx11_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx12_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx12_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx12_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx12_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx12_testen:1;
        RBus_UInt32  pif_tx12_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx12_epicml:1;
        RBus_UInt32  pif_tx12_env2i:1;
        RBus_UInt32  pif_tx12_emph:1;
        RBus_UInt32  pif_tx12_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_49_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx13_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx13_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx13_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx13_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx13_testen:1;
        RBus_UInt32  pif_tx13_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx13_epicml:1;
        RBus_UInt32  pif_tx14_env2i:1;
        RBus_UInt32  pif_tx13_emph:1;
        RBus_UInt32  pif_tx13_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_53_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx14_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx14_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx14_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx14_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx14_testen:1;
        RBus_UInt32  pif_tx14_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx14_epicml:1;
        RBus_UInt32  pif_tx13_env2i:1;
        RBus_UInt32  pif_tx14_emph:1;
        RBus_UInt32  pif_tx14_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_57_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx15_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx15_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx15_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx15_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx15_testen:1;
        RBus_UInt32  pif_tx15_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx15_epicml:1;
        RBus_UInt32  pif_tx15_env2i:1;
        RBus_UInt32  pif_tx15_emph:1;
        RBus_UInt32  pif_tx15_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_61_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx16_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx16_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx16_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx16_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx16_testen:1;
        RBus_UInt32  pif_tx16_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx16_epicml:1;
        RBus_UInt32  pif_tx16_env2i:1;
        RBus_UInt32  pif_tx16_emph:1;
        RBus_UInt32  pif_tx16_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_65_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx17_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx17_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx17_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx17_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx17_testen:1;
        RBus_UInt32  pif_tx17_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx17_epicml:1;
        RBus_UInt32  pif_tx17_env2i:1;
        RBus_UInt32  pif_tx17_emph:1;
        RBus_UInt32  pif_tx17_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_69_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx18_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx18_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx18_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx18_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx18_testen:1;
        RBus_UInt32  pif_tx18_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx18_epicml:1;
        RBus_UInt32  pif_tx18_env2i:1;
        RBus_UInt32  pif_tx18_emph:1;
        RBus_UInt32  pif_tx18_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_73_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx19_iem_sel:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx19_sel_test:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  pif_tx19_rp:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  pif_tx19_ndrv:2;
        RBus_UInt32  res4:7;
        RBus_UInt32  pif_tx19_testen:1;
        RBus_UInt32  pif_tx19_rten:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  pif_tx19_epicml:1;
        RBus_UInt32  pif_tx19_env2i:1;
        RBus_UInt32  pif_tx19_emph:1;
        RBus_UInt32  pif_tx19_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_77_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx20_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx20_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx20_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx20_testen:1;
        RBus_UInt32  pif_tx20_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx20_epicml:1;
        RBus_UInt32  pif_tx20_env2i:1;
        RBus_UInt32  pif_tx20_emph:1;
        RBus_UInt32  pif_tx20_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_81_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx21_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx21_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx21_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx21_testen:1;
        RBus_UInt32  pif_tx21_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx21_epicml:1;
        RBus_UInt32  pif_tx21_env2i:1;
        RBus_UInt32  pif_tx21_emph:1;
        RBus_UInt32  pif_tx21_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_85_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx22_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx22_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx22_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx22_testen:1;
        RBus_UInt32  pif_tx22_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx22_epicml:1;
        RBus_UInt32  pif_tx22_env2i:1;
        RBus_UInt32  pif_tx22_emph:1;
        RBus_UInt32  pif_tx22_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_89_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx23_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx23_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx23_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx23_testen:1;
        RBus_UInt32  pif_tx23_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx23_epicml:1;
        RBus_UInt32  pif_tx23_env2i:1;
        RBus_UInt32  pif_tx23_emph:1;
        RBus_UInt32  pif_tx23_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_93_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx24_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx24_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx24_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx24_testen:1;
        RBus_UInt32  pif_tx24_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx24_epicml:1;
        RBus_UInt32  pif_tx24_env2i:1;
        RBus_UInt32  pif_tx24_emph:1;
        RBus_UInt32  pif_tx24_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_97_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx25_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx25_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx25_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx25_testen:1;
        RBus_UInt32  pif_tx25_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx25_epicml:1;
        RBus_UInt32  pif_tx25_env2i:1;
        RBus_UInt32  pif_tx25_emph:1;
        RBus_UInt32  pif_tx25_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_101_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx26_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx26_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx26_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx26_testen:1;
        RBus_UInt32  pif_tx26_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx26_epicml:1;
        RBus_UInt32  pif_tx26_env2i:1;
        RBus_UInt32  pif_tx26_emph:1;
        RBus_UInt32  pif_tx26_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_105_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx27_iem_sel:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  pif_tx27_ttl_str:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  pif_tx27_sel_test:2;
        RBus_UInt32  res3:15;
        RBus_UInt32  pif_tx27_testen:1;
        RBus_UInt32  pif_tx27_rten:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  pif_tx27_epicml:1;
        RBus_UInt32  pif_tx27_env2i:1;
        RBus_UInt32  pif_tx27_emph:1;
        RBus_UInt32  pif_tx27_ck7x_lag:1;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_109_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0_pow:1;
        RBus_UInt32  pif_tx1_pow:1;
        RBus_UInt32  pif_tx2_pow:1;
        RBus_UInt32  pif_tx3_pow:1;
        RBus_UInt32  pif_tx4_pow:1;
        RBus_UInt32  pif_tx5_pow:1;
        RBus_UInt32  pif_tx6_pow:1;
        RBus_UInt32  pif_tx7_pow:1;
        RBus_UInt32  pif_tx8_pow:1;
        RBus_UInt32  pif_tx9_pow:1;
        RBus_UInt32  pif_tx10_pow:1;
        RBus_UInt32  pif_tx11_pow:1;
        RBus_UInt32  pif_tx12_pow:1;
        RBus_UInt32  pif_tx13_pow:1;
        RBus_UInt32  pif_tx14_pow:1;
        RBus_UInt32  pif_tx15_pow:1;
        RBus_UInt32  pif_tx16_pow:1;
        RBus_UInt32  pif_tx17_pow:1;
        RBus_UInt32  pif_tx18_pow:1;
        RBus_UInt32  pif_tx19_pow:1;
        RBus_UInt32  pif_tx20_pow:1;
        RBus_UInt32  pif_tx21_pow:1;
        RBus_UInt32  pif_tx22_pow:1;
        RBus_UInt32  pif_tx23_pow:1;
        RBus_UInt32  pif_tx24_pow:1;
        RBus_UInt32  pif_tx25_pow:1;
        RBus_UInt32  pif_tx26_pow:1;
        RBus_UInt32  pif_tx27_pow:1;
        RBus_UInt32  res1:4;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_0_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx0_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx1_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx2_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_42_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx3_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_46_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx4_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx5_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx6_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx7_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_62_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx8_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_66_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx9_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx10_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx11_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx12_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_82_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx13_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_86_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx14_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx15_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx16_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx17_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_102_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx18_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_106_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx19_dummy:12;
        RBus_UInt32  res1:20;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx20_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx21_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx22_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_122_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx23_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_126_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx24_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx25_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx26_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pif_tx27_dummy:4;
        RBus_UInt32  res1:28;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_142_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  plt_vterm_ready:1;
        RBus_UInt32  res1:31;
    };
}pinmux_lvdsphy_lvdsepivby1_phy_ctrl_1_95_RBUS;




#endif 


#endif 
