#ifndef __I2C_PV_H__
#define __I2C_PV_H__

#include "rtd_type.h"

extern int i2c_pv_func1(int argc, char *argv[]);
extern int i2c_pv_func2(int argc, char *argv[]);
extern int i2c_pv_func3(int argc, char *argv[]);
extern int i2c_pv_help(int argc, char *argv[]);

SUB_FUNC i2c_verify_func_list[] =
{
    {"i2c_pv_func1",	"Display purpose briefly of function.",
	    i2c_pv_func1},
    {"i2c_pv_func2",	"Display purpose briefly of function.",
    	i2c_pv_func2},
    {"i2c_pv_func3",	"Display purpose briefly of function.",
    	i2c_pv_func3},

    /* Always keep help func at last. It's going to be skip at auto testing mode */
    {"i2c_pv_help",	"Read me for more information.",
    	i2c_pv_help},

};

#define I2C_PV_FUNC_COUNT    (sizeof(i2c_verify_func_list)/sizeof(SUB_FUNC))

#endif
