/************************************************************************
 *
 *  otp_info.h
 *
 *  Public header file for Nike OTP info
 *
 ************************************************************************/
#ifndef GENERATE_CONFIG_H_
#define GENERATE_CONFIG_H
#define OTP_CONFIG_OUTPUT_DESCRIPTION
#define LINE_SIZE 4096
#define OUTPUT_FOLD "output/"
typedef enum {
	OTP_CONFIG_TYPE_NONE = 0,
	OTP_CONFIG_TYPE_CONFIG_FILE,
	OTP_CONFIG_TYPE_BITMAP_STRUCT,
	OTP_CONFIG_TYPE_CONFIG_ARRAY,
	OTP_CONFIG_TYPE_ID_ARRAY,
	OTP_CONFIG_OTP_ID_HEADER_FILE,
	OTP_CONFIG_OTP_PARAM_HEADER_FILE,
	
}OTP_CONFIG_TYPE;

typedef enum {
	OTP_ELEMENT_TYPE_TITLE = 1,
	OTP_ELEMENT_TYPE_NODE,
}OTP_ELEMENT_TYPE;
typedef struct otp_element{
	int item_type;
	char *start_bits;
	char *end_bits;
	char *item_name;
#ifdef OTP_CONFIG_OUTPUT_DESCRIPTION
	char *item_desc;
#endif
}OTP_ELEMENT;
extern int pre_deal_with_file(char *f_name);
extern int generate_config(char *f_name, OTP_CONFIG_TYPE type);
#endif /* #ifndef GENERATE_CONFIG_H_ */

