#ifndef __RTK_MCP_RSA_H__
#define __RTK_MCP_RSA_H__

unsigned int do_sw_RSA( const unsigned int signature_addr,
                         const unsigned int rsa_key_addr,
                         const unsigned int output_addr );

unsigned int do_RSA( const unsigned int signature_addr,
                     const unsigned int rsa_key_addr,
                     const unsigned int output_addr );

unsigned int do_hw_RSA_with_R2(const unsigned int signature_addr, const unsigned int rsa_key_addr,
    const unsigned int rsa_key_addr_r2, const unsigned int output_addr);
unsigned int do_hw_RSA(const unsigned int signature_addr, const unsigned int rsa_key_addr, const unsigned int output_addr);

int rtk_hw_RSA_public_decrypt(
            const char *module, const char *exponent, 
            const unsigned int key_len, const char *ctext, 
            unsigned char *output);


#endif
